/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#include "SWG .h"

#include "SWGHelpers.h"

#include <QJsonDocument>
#include <QJsonArray>
#include <QObject>
#include <QDebug>

namespace Swagger {


SWG ::SWG (QString* json) {
    init();
    this->fromJson(*json);
}

SWG ::SWG () {
    init();
}

SWG ::~SWG () {
    this->cleanup();
}

void
SWG ::init() {
    mail = new QString("");
website = new QString("");
mysql = false;
size = new QString("");
mssql = false;
dynamic_content = false;
php_exec = false;
ftp2 = new QString("");
}

void
SWG ::cleanup() {
    if(mail != NULL) {
        delete mail;
    }
if(website != NULL) {
        delete website;
    }

if(size != NULL) {
        delete size;
    }



if(ftp2 != NULL) {
        delete ftp2;
    }
}

SWG *
SWG ::fromJson(QString &json) {
    QByteArray array (json.toStdString().c_str());
    QJsonDocument doc = QJsonDocument::fromJson(array);
    QJsonObject jsonObject = doc.object();
    this->fromJsonObject(jsonObject);
    return this;
}

void
SWG ::fromJsonObject(QJsonObject &pJson) {
    setValue(&mail, pJson["mail"], "QString", "QString");
setValue(&website, pJson["website"], "QString", "QString");
setValue(&mysql, pJson["mysql"], "bool", "");
setValue(&size, pJson["size"], "QString", "QString");
setValue(&mssql, pJson["mssql"], "bool", "");
setValue(&dynamic_content, pJson["dynamic_content"], "bool", "");
setValue(&php_exec, pJson["php_exec"], "bool", "");
setValue(&ftp2, pJson["ftp2"], "QString", "QString");
}

QString
SWG ::asJson ()
{
    QJsonObject* obj = this->asJsonObject();
    
    QJsonDocument doc(*obj);
    QByteArray bytes = doc.toJson();
    return QString(bytes);
}

QJsonObject*
SWG ::asJsonObject() {
    QJsonObject* obj = new QJsonObject();
    
    
    toJsonValue(QString("mail"), mail, obj, QString("QString"));
    
        

    
    toJsonValue(QString("website"), website, obj, QString("QString"));
    
        
obj->insert("mysql", QJsonValue(mysql));

    
    toJsonValue(QString("size"), size, obj, QString("QString"));
    
        
obj->insert("mssql", QJsonValue(mssql));
obj->insert("dynamic_content", QJsonValue(dynamic_content));
obj->insert("php_exec", QJsonValue(php_exec));

    
    toJsonValue(QString("ftp2"), ftp2, obj, QString("QString"));
    
        

    return obj;
}

QString*
SWG ::getMail() {
    return mail;
}
void
SWG ::setMail(QString* mail) {
    this->mail = mail;
}

QString*
SWG ::getWebsite() {
    return website;
}
void
SWG ::setWebsite(QString* website) {
    this->website = website;
}

bool
SWG ::getMysql() {
    return mysql;
}
void
SWG ::setMysql(bool mysql) {
    this->mysql = mysql;
}

QString*
SWG ::getSize() {
    return size;
}
void
SWG ::setSize(QString* size) {
    this->size = size;
}

bool
SWG ::getMssql() {
    return mssql;
}
void
SWG ::setMssql(bool mssql) {
    this->mssql = mssql;
}

bool
SWG ::getDynamicContent() {
    return dynamic_content;
}
void
SWG ::setDynamicContent(bool dynamic_content) {
    this->dynamic_content = dynamic_content;
}

bool
SWG ::getPhpExec() {
    return php_exec;
}
void
SWG ::setPhpExec(bool php_exec) {
    this->php_exec = php_exec;
}

QString*
SWG ::getFtp2() {
    return ftp2;
}
void
SWG ::setFtp2(QString* ftp2) {
    this->ftp2 = ftp2;
}



} /* namespace Swagger */

