/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#include "SWGInline_response_200_1.h"

#include "SWGHelpers.h"

#include <QJsonDocument>
#include <QJsonArray>
#include <QObject>
#include <QDebug>

namespace Swagger {


SWGInline_response_200_1::SWGInline_response_200_1(QString* json) {
    init();
    this->fromJson(*json);
}

SWGInline_response_200_1::SWGInline_response_200_1() {
    init();
}

SWGInline_response_200_1::~SWGInline_response_200_1() {
    this->cleanup();
}

void
SWGInline_response_200_1::init() {
    id = NULL;
description = new QString("");
billing_group_id = NULL;
blocked = new QString("");
blocked_date = new QString("");
blocked_reason = new QString("");
credit_limit = 0.0;
plan_id = NULL;
period_id = NULL;
contract_type = NULL;
client_id = NULL;
client_login = new QString("");
contract_id = new QString("");
name_rus = new QString("");
name_eng = new QString("");
email = new QString("");
stat_sites = NULL;
stat_size_mb = NULL;
stat_emails = NULL;
stat_mysqls = NULL;
stat_tech = NULL;
stat_nicd = NULL;
stat_access_dynamic = NULL;
stat_access_static = NULL;
stat_access_traffic = NULL;
stat_paid_total = NULL;
stat_vds_size = NULL;
__plan_name = new QString("");
__period_months = NULL;
__period_price = 0.0;
__expires = new QString("");
external_currency_spelled_prefix = new QString("");
external_currency_spelled_suffix = new QString("");
}

void
SWGInline_response_200_1::cleanup() {
    
if(description != NULL) {
        delete description;
    }

if(blocked != NULL) {
        delete blocked;
    }
if(blocked_date != NULL) {
        delete blocked_date;
    }
if(blocked_reason != NULL) {
        delete blocked_reason;
    }
if(credit_limit != NULL) {
        delete credit_limit;
    }




if(client_login != NULL) {
        delete client_login;
    }
if(contract_id != NULL) {
        delete contract_id;
    }
if(name_rus != NULL) {
        delete name_rus;
    }
if(name_eng != NULL) {
        delete name_eng;
    }
if(email != NULL) {
        delete email;
    }











if(__plan_name != NULL) {
        delete __plan_name;
    }

if(__period_price != NULL) {
        delete __period_price;
    }
if(__expires != NULL) {
        delete __expires;
    }
if(external_currency_spelled_prefix != NULL) {
        delete external_currency_spelled_prefix;
    }
if(external_currency_spelled_suffix != NULL) {
        delete external_currency_spelled_suffix;
    }
}

SWGInline_response_200_1*
SWGInline_response_200_1::fromJson(QString &json) {
    QByteArray array (json.toStdString().c_str());
    QJsonDocument doc = QJsonDocument::fromJson(array);
    QJsonObject jsonObject = doc.object();
    this->fromJsonObject(jsonObject);
    return this;
}

void
SWGInline_response_200_1::fromJsonObject(QJsonObject &pJson) {
    setValue(&id, pJson["id"], "qint32", "");
setValue(&description, pJson["description"], "QString", "QString");
setValue(&billing_group_id, pJson["billing_group_id"], "qint32", "");
setValue(&blocked, pJson["blocked"], "QString", "QString");
setValue(&blocked_date, pJson["blocked_date"], "QString", "QString");
setValue(&blocked_reason, pJson["blocked_reason"], "QString", "QString");
setValue(&credit_limit, pJson["credit_limit"], "SWGNumber", "SWGNumber");
setValue(&plan_id, pJson["plan_id"], "qint32", "");
setValue(&period_id, pJson["period_id"], "qint32", "");
setValue(&contract_type, pJson["contract_type"], "qint32", "");
setValue(&client_id, pJson["client_id"], "qint32", "");
setValue(&client_login, pJson["client_login"], "QString", "QString");
setValue(&contract_id, pJson["contract_id"], "QString", "QString");
setValue(&name_rus, pJson["name_rus"], "QString", "QString");
setValue(&name_eng, pJson["name_eng"], "QString", "QString");
setValue(&email, pJson["email"], "QString", "QString");
setValue(&stat_sites, pJson["stat_sites"], "qint32", "");
setValue(&stat_size_mb, pJson["stat_size_mb"], "qint32", "");
setValue(&stat_emails, pJson["stat_emails"], "qint32", "");
setValue(&stat_mysqls, pJson["stat_mysqls"], "qint32", "");
setValue(&stat_tech, pJson["stat_tech"], "qint32", "");
setValue(&stat_nicd, pJson["stat_nicd"], "qint32", "");
setValue(&stat_access_dynamic, pJson["stat_access_dynamic"], "qint32", "");
setValue(&stat_access_static, pJson["stat_access_static"], "qint32", "");
setValue(&stat_access_traffic, pJson["stat_access_traffic"], "qint32", "");
setValue(&stat_paid_total, pJson["stat_paid_total"], "qint32", "");
setValue(&stat_vds_size, pJson["stat_vds_size"], "qint32", "");
setValue(&__plan_name, pJson["__plan_name"], "QString", "QString");
setValue(&__period_months, pJson["__period_months"], "qint32", "");
setValue(&__period_price, pJson["__period_price"], "SWGNumber", "SWGNumber");
setValue(&__expires, pJson["__expires"], "QString", "QString");
setValue(&external_currency_spelled_prefix, pJson["external_currency_spelled_prefix"], "QString", "QString");
setValue(&external_currency_spelled_suffix, pJson["external_currency_spelled_suffix"], "QString", "QString");
}

QString
SWGInline_response_200_1::asJson ()
{
    QJsonObject* obj = this->asJsonObject();
    
    QJsonDocument doc(*obj);
    QByteArray bytes = doc.toJson();
    return QString(bytes);
}

QJsonObject*
SWGInline_response_200_1::asJsonObject() {
    QJsonObject* obj = new QJsonObject();
    obj->insert("id", QJsonValue(id));

    
    toJsonValue(QString("description"), description, obj, QString("QString"));
    
        
obj->insert("billing_group_id", QJsonValue(billing_group_id));

    
    toJsonValue(QString("blocked"), blocked, obj, QString("QString"));
    
        

    
    toJsonValue(QString("blocked_date"), blocked_date, obj, QString("QString"));
    
        

    
    toJsonValue(QString("blocked_reason"), blocked_reason, obj, QString("QString"));
    
        

    
    toJsonValue(QString("credit_limit"), credit_limit, obj, QString("SWGNumber"));
    
        
obj->insert("plan_id", QJsonValue(plan_id));
obj->insert("period_id", QJsonValue(period_id));
obj->insert("contract_type", QJsonValue(contract_type));
obj->insert("client_id", QJsonValue(client_id));

    
    toJsonValue(QString("client_login"), client_login, obj, QString("QString"));
    
        

    
    toJsonValue(QString("contract_id"), contract_id, obj, QString("QString"));
    
        

    
    toJsonValue(QString("name_rus"), name_rus, obj, QString("QString"));
    
        

    
    toJsonValue(QString("name_eng"), name_eng, obj, QString("QString"));
    
        

    
    toJsonValue(QString("email"), email, obj, QString("QString"));
    
        
obj->insert("stat_sites", QJsonValue(stat_sites));
obj->insert("stat_size_mb", QJsonValue(stat_size_mb));
obj->insert("stat_emails", QJsonValue(stat_emails));
obj->insert("stat_mysqls", QJsonValue(stat_mysqls));
obj->insert("stat_tech", QJsonValue(stat_tech));
obj->insert("stat_nicd", QJsonValue(stat_nicd));
obj->insert("stat_access_dynamic", QJsonValue(stat_access_dynamic));
obj->insert("stat_access_static", QJsonValue(stat_access_static));
obj->insert("stat_access_traffic", QJsonValue(stat_access_traffic));
obj->insert("stat_paid_total", QJsonValue(stat_paid_total));
obj->insert("stat_vds_size", QJsonValue(stat_vds_size));

    
    toJsonValue(QString("__plan_name"), __plan_name, obj, QString("QString"));
    
        
obj->insert("__period_months", QJsonValue(__period_months));

    
    toJsonValue(QString("__period_price"), __period_price, obj, QString("SWGNumber"));
    
        

    
    toJsonValue(QString("__expires"), __expires, obj, QString("QString"));
    
        

    
    toJsonValue(QString("external_currency_spelled_prefix"), external_currency_spelled_prefix, obj, QString("QString"));
    
        

    
    toJsonValue(QString("external_currency_spelled_suffix"), external_currency_spelled_suffix, obj, QString("QString"));
    
        

    return obj;
}

qint32
SWGInline_response_200_1::getId() {
    return id;
}
void
SWGInline_response_200_1::setId(qint32 id) {
    this->id = id;
}

QString*
SWGInline_response_200_1::getDescription() {
    return description;
}
void
SWGInline_response_200_1::setDescription(QString* description) {
    this->description = description;
}

qint32
SWGInline_response_200_1::getBillingGroupId() {
    return billing_group_id;
}
void
SWGInline_response_200_1::setBillingGroupId(qint32 billing_group_id) {
    this->billing_group_id = billing_group_id;
}

QString*
SWGInline_response_200_1::getBlocked() {
    return blocked;
}
void
SWGInline_response_200_1::setBlocked(QString* blocked) {
    this->blocked = blocked;
}

QString*
SWGInline_response_200_1::getBlockedDate() {
    return blocked_date;
}
void
SWGInline_response_200_1::setBlockedDate(QString* blocked_date) {
    this->blocked_date = blocked_date;
}

QString*
SWGInline_response_200_1::getBlockedReason() {
    return blocked_reason;
}
void
SWGInline_response_200_1::setBlockedReason(QString* blocked_reason) {
    this->blocked_reason = blocked_reason;
}

SWGNumber*
SWGInline_response_200_1::getCreditLimit() {
    return credit_limit;
}
void
SWGInline_response_200_1::setCreditLimit(SWGNumber* credit_limit) {
    this->credit_limit = credit_limit;
}

qint32
SWGInline_response_200_1::getPlanId() {
    return plan_id;
}
void
SWGInline_response_200_1::setPlanId(qint32 plan_id) {
    this->plan_id = plan_id;
}

qint32
SWGInline_response_200_1::getPeriodId() {
    return period_id;
}
void
SWGInline_response_200_1::setPeriodId(qint32 period_id) {
    this->period_id = period_id;
}

qint32
SWGInline_response_200_1::getContractType() {
    return contract_type;
}
void
SWGInline_response_200_1::setContractType(qint32 contract_type) {
    this->contract_type = contract_type;
}

qint32
SWGInline_response_200_1::getClientId() {
    return client_id;
}
void
SWGInline_response_200_1::setClientId(qint32 client_id) {
    this->client_id = client_id;
}

QString*
SWGInline_response_200_1::getClientLogin() {
    return client_login;
}
void
SWGInline_response_200_1::setClientLogin(QString* client_login) {
    this->client_login = client_login;
}

QString*
SWGInline_response_200_1::getContractId() {
    return contract_id;
}
void
SWGInline_response_200_1::setContractId(QString* contract_id) {
    this->contract_id = contract_id;
}

QString*
SWGInline_response_200_1::getNameRus() {
    return name_rus;
}
void
SWGInline_response_200_1::setNameRus(QString* name_rus) {
    this->name_rus = name_rus;
}

QString*
SWGInline_response_200_1::getNameEng() {
    return name_eng;
}
void
SWGInline_response_200_1::setNameEng(QString* name_eng) {
    this->name_eng = name_eng;
}

QString*
SWGInline_response_200_1::getEmail() {
    return email;
}
void
SWGInline_response_200_1::setEmail(QString* email) {
    this->email = email;
}

qint32
SWGInline_response_200_1::getStatSites() {
    return stat_sites;
}
void
SWGInline_response_200_1::setStatSites(qint32 stat_sites) {
    this->stat_sites = stat_sites;
}

qint32
SWGInline_response_200_1::getStatSizeMb() {
    return stat_size_mb;
}
void
SWGInline_response_200_1::setStatSizeMb(qint32 stat_size_mb) {
    this->stat_size_mb = stat_size_mb;
}

qint32
SWGInline_response_200_1::getStatEmails() {
    return stat_emails;
}
void
SWGInline_response_200_1::setStatEmails(qint32 stat_emails) {
    this->stat_emails = stat_emails;
}

qint32
SWGInline_response_200_1::getStatMysqls() {
    return stat_mysqls;
}
void
SWGInline_response_200_1::setStatMysqls(qint32 stat_mysqls) {
    this->stat_mysqls = stat_mysqls;
}

qint32
SWGInline_response_200_1::getStatTech() {
    return stat_tech;
}
void
SWGInline_response_200_1::setStatTech(qint32 stat_tech) {
    this->stat_tech = stat_tech;
}

qint32
SWGInline_response_200_1::getStatNicd() {
    return stat_nicd;
}
void
SWGInline_response_200_1::setStatNicd(qint32 stat_nicd) {
    this->stat_nicd = stat_nicd;
}

qint32
SWGInline_response_200_1::getStatAccessDynamic() {
    return stat_access_dynamic;
}
void
SWGInline_response_200_1::setStatAccessDynamic(qint32 stat_access_dynamic) {
    this->stat_access_dynamic = stat_access_dynamic;
}

qint32
SWGInline_response_200_1::getStatAccessStatic() {
    return stat_access_static;
}
void
SWGInline_response_200_1::setStatAccessStatic(qint32 stat_access_static) {
    this->stat_access_static = stat_access_static;
}

qint32
SWGInline_response_200_1::getStatAccessTraffic() {
    return stat_access_traffic;
}
void
SWGInline_response_200_1::setStatAccessTraffic(qint32 stat_access_traffic) {
    this->stat_access_traffic = stat_access_traffic;
}

qint32
SWGInline_response_200_1::getStatPaidTotal() {
    return stat_paid_total;
}
void
SWGInline_response_200_1::setStatPaidTotal(qint32 stat_paid_total) {
    this->stat_paid_total = stat_paid_total;
}

qint32
SWGInline_response_200_1::getStatVdsSize() {
    return stat_vds_size;
}
void
SWGInline_response_200_1::setStatVdsSize(qint32 stat_vds_size) {
    this->stat_vds_size = stat_vds_size;
}

QString*
SWGInline_response_200_1::getPlanName() {
    return __plan_name;
}
void
SWGInline_response_200_1::setPlanName(QString* __plan_name) {
    this->__plan_name = __plan_name;
}

qint32
SWGInline_response_200_1::getPeriodMonths() {
    return __period_months;
}
void
SWGInline_response_200_1::setPeriodMonths(qint32 __period_months) {
    this->__period_months = __period_months;
}

SWGNumber*
SWGInline_response_200_1::getPeriodPrice() {
    return __period_price;
}
void
SWGInline_response_200_1::setPeriodPrice(SWGNumber* __period_price) {
    this->__period_price = __period_price;
}

QString*
SWGInline_response_200_1::getExpires() {
    return __expires;
}
void
SWGInline_response_200_1::setExpires(QString* __expires) {
    this->__expires = __expires;
}

QString*
SWGInline_response_200_1::getExternalCurrencySpelledPrefix() {
    return external_currency_spelled_prefix;
}
void
SWGInline_response_200_1::setExternalCurrencySpelledPrefix(QString* external_currency_spelled_prefix) {
    this->external_currency_spelled_prefix = external_currency_spelled_prefix;
}

QString*
SWGInline_response_200_1::getExternalCurrencySpelledSuffix() {
    return external_currency_spelled_suffix;
}
void
SWGInline_response_200_1::setExternalCurrencySpelledSuffix(QString* external_currency_spelled_suffix) {
    this->external_currency_spelled_suffix = external_currency_spelled_suffix;
}



} /* namespace Swagger */

