/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * SWGInline_response_200_1.h
 * 
 * 
 */

#ifndef SWGInline_response_200_1_H_
#define SWGInline_response_200_1_H_

#include <QJsonObject>


#include "SWGNumber.h"
#include <QString>

#include "SWGObject.h"


namespace Swagger {

class SWGInline_response_200_1: public SWGObject {
public:
    SWGInline_response_200_1();
    SWGInline_response_200_1(QString* json);
    virtual ~SWGInline_response_200_1();
    void init();
    void cleanup();

    QString asJson ();
    QJsonObject* asJsonObject();
    void fromJsonObject(QJsonObject &json);
    SWGInline_response_200_1* fromJson(QString &jsonString);

    qint32 getId();
    void setId(qint32 id);
QString* getDescription();
    void setDescription(QString* description);
qint32 getBillingGroupId();
    void setBillingGroupId(qint32 billing_group_id);
QString* getBlocked();
    void setBlocked(QString* blocked);
QString* getBlockedDate();
    void setBlockedDate(QString* blocked_date);
QString* getBlockedReason();
    void setBlockedReason(QString* blocked_reason);
SWGNumber* getCreditLimit();
    void setCreditLimit(SWGNumber* credit_limit);
qint32 getPlanId();
    void setPlanId(qint32 plan_id);
qint32 getPeriodId();
    void setPeriodId(qint32 period_id);
qint32 getContractType();
    void setContractType(qint32 contract_type);
qint32 getClientId();
    void setClientId(qint32 client_id);
QString* getClientLogin();
    void setClientLogin(QString* client_login);
QString* getContractId();
    void setContractId(QString* contract_id);
QString* getNameRus();
    void setNameRus(QString* name_rus);
QString* getNameEng();
    void setNameEng(QString* name_eng);
QString* getEmail();
    void setEmail(QString* email);
qint32 getStatSites();
    void setStatSites(qint32 stat_sites);
qint32 getStatSizeMb();
    void setStatSizeMb(qint32 stat_size_mb);
qint32 getStatEmails();
    void setStatEmails(qint32 stat_emails);
qint32 getStatMysqls();
    void setStatMysqls(qint32 stat_mysqls);
qint32 getStatTech();
    void setStatTech(qint32 stat_tech);
qint32 getStatNicd();
    void setStatNicd(qint32 stat_nicd);
qint32 getStatAccessDynamic();
    void setStatAccessDynamic(qint32 stat_access_dynamic);
qint32 getStatAccessStatic();
    void setStatAccessStatic(qint32 stat_access_static);
qint32 getStatAccessTraffic();
    void setStatAccessTraffic(qint32 stat_access_traffic);
qint32 getStatPaidTotal();
    void setStatPaidTotal(qint32 stat_paid_total);
qint32 getStatVdsSize();
    void setStatVdsSize(qint32 stat_vds_size);
QString* getPlanName();
    void setPlanName(QString* __plan_name);
qint32 getPeriodMonths();
    void setPeriodMonths(qint32 __period_months);
SWGNumber* getPeriodPrice();
    void setPeriodPrice(SWGNumber* __period_price);
QString* getExpires();
    void setExpires(QString* __expires);
QString* getExternalCurrencySpelledPrefix();
    void setExternalCurrencySpelledPrefix(QString* external_currency_spelled_prefix);
QString* getExternalCurrencySpelledSuffix();
    void setExternalCurrencySpelledSuffix(QString* external_currency_spelled_suffix);

private:
    qint32 id;
QString* description;
qint32 billing_group_id;
QString* blocked;
QString* blocked_date;
QString* blocked_reason;
SWGNumber* credit_limit;
qint32 plan_id;
qint32 period_id;
qint32 contract_type;
qint32 client_id;
QString* client_login;
QString* contract_id;
QString* name_rus;
QString* name_eng;
QString* email;
qint32 stat_sites;
qint32 stat_size_mb;
qint32 stat_emails;
qint32 stat_mysqls;
qint32 stat_tech;
qint32 stat_nicd;
qint32 stat_access_dynamic;
qint32 stat_access_static;
qint32 stat_access_traffic;
qint32 stat_paid_total;
qint32 stat_vds_size;
QString* __plan_name;
qint32 __period_months;
SWGNumber* __period_price;
QString* __expires;
QString* external_currency_spelled_prefix;
QString* external_currency_spelled_suffix;
};

} /* namespace Swagger */

#endif /* SWGInline_response_200_1_H_ */
