/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#include "SWGInline_response_200_12.h"

#include "SWGHelpers.h"

#include <QJsonDocument>
#include <QJsonArray>
#include <QObject>
#include <QDebug>

namespace Swagger {


SWGInline_response_200_12::SWGInline_response_200_12(QString* json) {
    init();
    this->fromJson(*json);
}

SWGInline_response_200_12::SWGInline_response_200_12() {
    init();
}

SWGInline_response_200_12::~SWGInline_response_200_12() {
    this->cleanup();
}

void
SWGInline_response_200_12::init() {
    id = NULL;
deleted = false;
online = false;
stopped = false;
pwd = new QString("");
template = new QString("");
type_full = new QString("");
physical_mac = new QString("");
type = new QString("");
}

void
SWGInline_response_200_12::cleanup() {
    



if(pwd != NULL) {
        delete pwd;
    }
if(template != NULL) {
        delete template;
    }
if(type_full != NULL) {
        delete type_full;
    }
if(physical_mac != NULL) {
        delete physical_mac;
    }
if(type != NULL) {
        delete type;
    }
}

SWGInline_response_200_12*
SWGInline_response_200_12::fromJson(QString &json) {
    QByteArray array (json.toStdString().c_str());
    QJsonDocument doc = QJsonDocument::fromJson(array);
    QJsonObject jsonObject = doc.object();
    this->fromJsonObject(jsonObject);
    return this;
}

void
SWGInline_response_200_12::fromJsonObject(QJsonObject &pJson) {
    setValue(&id, pJson["id"], "qint32", "");
setValue(&deleted, pJson["deleted"], "bool", "");
setValue(&online, pJson["online"], "bool", "");
setValue(&stopped, pJson["stopped"], "bool", "");
setValue(&pwd, pJson["pwd"], "QString", "QString");
setValue(&template, pJson["template"], "QString", "QString");
setValue(&type_full, pJson["type_full"], "QString", "QString");
setValue(&physical_mac, pJson["physical_mac"], "QString", "QString");
setValue(&type, pJson["type"], "QString", "QString");
}

QString
SWGInline_response_200_12::asJson ()
{
    QJsonObject* obj = this->asJsonObject();
    
    QJsonDocument doc(*obj);
    QByteArray bytes = doc.toJson();
    return QString(bytes);
}

QJsonObject*
SWGInline_response_200_12::asJsonObject() {
    QJsonObject* obj = new QJsonObject();
    obj->insert("id", QJsonValue(id));
obj->insert("deleted", QJsonValue(deleted));
obj->insert("online", QJsonValue(online));
obj->insert("stopped", QJsonValue(stopped));

    
    toJsonValue(QString("pwd"), pwd, obj, QString("QString"));
    
        

    
    toJsonValue(QString("template"), template, obj, QString("QString"));
    
        

    
    toJsonValue(QString("type_full"), type_full, obj, QString("QString"));
    
        

    
    toJsonValue(QString("physical_mac"), physical_mac, obj, QString("QString"));
    
        

    
    toJsonValue(QString("type"), type, obj, QString("QString"));
    
        

    return obj;
}

qint32
SWGInline_response_200_12::getId() {
    return id;
}
void
SWGInline_response_200_12::setId(qint32 id) {
    this->id = id;
}

bool
SWGInline_response_200_12::getDeleted() {
    return deleted;
}
void
SWGInline_response_200_12::setDeleted(bool deleted) {
    this->deleted = deleted;
}

bool
SWGInline_response_200_12::getOnline() {
    return online;
}
void
SWGInline_response_200_12::setOnline(bool online) {
    this->online = online;
}

bool
SWGInline_response_200_12::getStopped() {
    return stopped;
}
void
SWGInline_response_200_12::setStopped(bool stopped) {
    this->stopped = stopped;
}

QString*
SWGInline_response_200_12::getPwd() {
    return pwd;
}
void
SWGInline_response_200_12::setPwd(QString* pwd) {
    this->pwd = pwd;
}

QString*
SWGInline_response_200_12::getTemplate() {
    return template;
}
void
SWGInline_response_200_12::setTemplate(QString* template) {
    this->template = template;
}

QString*
SWGInline_response_200_12::getTypeFull() {
    return type_full;
}
void
SWGInline_response_200_12::setTypeFull(QString* type_full) {
    this->type_full = type_full;
}

QString*
SWGInline_response_200_12::getPhysicalMac() {
    return physical_mac;
}
void
SWGInline_response_200_12::setPhysicalMac(QString* physical_mac) {
    this->physical_mac = physical_mac;
}

QString*
SWGInline_response_200_12::getType() {
    return type;
}
void
SWGInline_response_200_12::setType(QString* type) {
    this->type = type;
}



} /* namespace Swagger */

