/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#include "SWGInline_response_200_14.h"

#include "SWGHelpers.h"

#include <QJsonDocument>
#include <QJsonArray>
#include <QObject>
#include <QDebug>

namespace Swagger {


SWGInline_response_200_14::SWGInline_response_200_14(QString* json) {
    init();
    this->fromJson(*json);
}

SWGInline_response_200_14::SWGInline_response_200_14() {
    init();
}

SWGInline_response_200_14::~SWGInline_response_200_14() {
    this->cleanup();
}

void
SWGInline_response_200_14::init() {
    id = NULL;
status = new QString("");
unmovable = new QString("");
online = new QString("");
deleted = new QString("");
deleted_auto = new QString("");
deleted_dump = new QString("");
user_id = new QString("");
ftp_id = new QString("");
dns_id = new QString("");
iis_id = new QString("");
iis_binding = new QString("");
iis_path = new QString("");
iis_comments = new QString("");
memo = new QString("");
date_reg = new QString("");
server = new QString("");
server_bak = new QString("");
server_aux = new QString("");
server_transition = new QString("");
server_transition_dtc = new QString("");
block_transfer = new QString("");
server_changed_time = new QString("");
size_amount = new QString("");
size_file_count = new QString("");
size_file_count_limit = new QString("");
size_date = new QString("");
size_priority_scan = new QString("");
copy_logs = new QString("");
content_comments = new QString("");
content_comments_verbose = new QString("");
meta_save_count = new QString("");
base_folder = new QString("");
virtualhost_conf = new QString("");
virtualhost_server = new QString("");
virtualhost_server_conf = new QString("");
live_day_count = new QString("");
scan_date = new QString("");
global_transfer_count = new QString("");
net_limit_file = new QString("");
net_limit_deny_from_ip = new QString("");
net_limit_deny_from_agent = new QString("");
apache_php_pooled = new QString("");
apache_php_pooled_ext = new QString("");
apache_php_pooled_ext_auto = new QString("");
apache_php_pool1_only = new QString("");
apache_php_pool5_only = new QString("");
apache_ssi = new QString("");
bypass_security = new QString("");
flag_generic_exec = new QString("");
flag_no_www = new QString("");
base_folder_suffix = new QString("");
feedback_speed = new QString("");
feedback_speed_dtc = new QString("");
feedback_speed_feedback = new QString("");
unix_path_on_windows = new QString("");
ftp_ipfilter = new QString("");
ssh_ipfilter = new QString("");
l3d_auto = new QString("");
awstats_primary_domain = new QString("");
sharepoint_mode = new QString("");
sharepoint_mode_pending = new QString("");
apache_generic_pool_port = new QString("");
mongrel_environment = new QString("");
flag_free = new QString("");
rtm_scan_date = new QString("");
analyze_analog = new QString("");
cpu_details_enabled = new QString("");
content_moderated_status = new QString("");
content_moderated_date = new QString("");
http_frontend_ip = new QString("");
http_frontend_ip_transition = new QString("");
cpu_limit_exceeded_date = new QString("");
aufs_template = new QString("");
options_autolimit = new QString("");
iis_creation_commands = new QString("");
iis_creation_commands_unix = new QString("");
thumb_date = new QString("");
thumb_failed = new QString("");
backup_stat_date = new QString("");
backup_date = new QString("");
detected_packages = new QString("");
stat_site_power = new QString("");
smtp_from = new QString("");
super_backup_date = new QString("");
backup_delta_stat_date = new QString("");
backup_delta_date = new QString("");
backup_delta_desc = new QString("");
alt_docroot_server = new QString("");
alt_docroot_path = new QString("");
alt_docroot_status = new QString("");
alt_docroot_status_cnt = new QString("");
alt_docroot_status_date = new QString("");
bind_dtc = new QString("");
backup_special_mode = new QString("");
size_check_problem = new QString("");
wpb_domain = new QString("");
wpb_uuid = new QString("");
wpb_status = new QString("");
admin_protection = new QString("");
size_comments = new QString("");
alt_docroot_ssd_req = new QString("");
mail_limit = new QString("");
mail_accept = new QString("");
mail_drop = new QString("");
ftp_name = new QString("");
ftp_pwd = new QString("");
}

void
SWGInline_response_200_14::cleanup() {
    
if(status != NULL) {
        delete status;
    }
if(unmovable != NULL) {
        delete unmovable;
    }
if(online != NULL) {
        delete online;
    }
if(deleted != NULL) {
        delete deleted;
    }
if(deleted_auto != NULL) {
        delete deleted_auto;
    }
if(deleted_dump != NULL) {
        delete deleted_dump;
    }
if(user_id != NULL) {
        delete user_id;
    }
if(ftp_id != NULL) {
        delete ftp_id;
    }
if(dns_id != NULL) {
        delete dns_id;
    }
if(iis_id != NULL) {
        delete iis_id;
    }
if(iis_binding != NULL) {
        delete iis_binding;
    }
if(iis_path != NULL) {
        delete iis_path;
    }
if(iis_comments != NULL) {
        delete iis_comments;
    }
if(memo != NULL) {
        delete memo;
    }
if(date_reg != NULL) {
        delete date_reg;
    }
if(server != NULL) {
        delete server;
    }
if(server_bak != NULL) {
        delete server_bak;
    }
if(server_aux != NULL) {
        delete server_aux;
    }
if(server_transition != NULL) {
        delete server_transition;
    }
if(server_transition_dtc != NULL) {
        delete server_transition_dtc;
    }
if(block_transfer != NULL) {
        delete block_transfer;
    }
if(server_changed_time != NULL) {
        delete server_changed_time;
    }
if(size_amount != NULL) {
        delete size_amount;
    }
if(size_file_count != NULL) {
        delete size_file_count;
    }
if(size_file_count_limit != NULL) {
        delete size_file_count_limit;
    }
if(size_date != NULL) {
        delete size_date;
    }
if(size_priority_scan != NULL) {
        delete size_priority_scan;
    }
if(copy_logs != NULL) {
        delete copy_logs;
    }
if(content_comments != NULL) {
        delete content_comments;
    }
if(content_comments_verbose != NULL) {
        delete content_comments_verbose;
    }
if(meta_save_count != NULL) {
        delete meta_save_count;
    }
if(base_folder != NULL) {
        delete base_folder;
    }
if(virtualhost_conf != NULL) {
        delete virtualhost_conf;
    }
if(virtualhost_server != NULL) {
        delete virtualhost_server;
    }
if(virtualhost_server_conf != NULL) {
        delete virtualhost_server_conf;
    }
if(live_day_count != NULL) {
        delete live_day_count;
    }
if(scan_date != NULL) {
        delete scan_date;
    }
if(global_transfer_count != NULL) {
        delete global_transfer_count;
    }
if(net_limit_file != NULL) {
        delete net_limit_file;
    }
if(net_limit_deny_from_ip != NULL) {
        delete net_limit_deny_from_ip;
    }
if(net_limit_deny_from_agent != NULL) {
        delete net_limit_deny_from_agent;
    }
if(apache_php_pooled != NULL) {
        delete apache_php_pooled;
    }
if(apache_php_pooled_ext != NULL) {
        delete apache_php_pooled_ext;
    }
if(apache_php_pooled_ext_auto != NULL) {
        delete apache_php_pooled_ext_auto;
    }
if(apache_php_pool1_only != NULL) {
        delete apache_php_pool1_only;
    }
if(apache_php_pool5_only != NULL) {
        delete apache_php_pool5_only;
    }
if(apache_ssi != NULL) {
        delete apache_ssi;
    }
if(bypass_security != NULL) {
        delete bypass_security;
    }
if(flag_generic_exec != NULL) {
        delete flag_generic_exec;
    }
if(flag_no_www != NULL) {
        delete flag_no_www;
    }
if(base_folder_suffix != NULL) {
        delete base_folder_suffix;
    }
if(feedback_speed != NULL) {
        delete feedback_speed;
    }
if(feedback_speed_dtc != NULL) {
        delete feedback_speed_dtc;
    }
if(feedback_speed_feedback != NULL) {
        delete feedback_speed_feedback;
    }
if(unix_path_on_windows != NULL) {
        delete unix_path_on_windows;
    }
if(ftp_ipfilter != NULL) {
        delete ftp_ipfilter;
    }
if(ssh_ipfilter != NULL) {
        delete ssh_ipfilter;
    }
if(l3d_auto != NULL) {
        delete l3d_auto;
    }
if(awstats_primary_domain != NULL) {
        delete awstats_primary_domain;
    }
if(sharepoint_mode != NULL) {
        delete sharepoint_mode;
    }
if(sharepoint_mode_pending != NULL) {
        delete sharepoint_mode_pending;
    }
if(apache_generic_pool_port != NULL) {
        delete apache_generic_pool_port;
    }
if(mongrel_environment != NULL) {
        delete mongrel_environment;
    }
if(flag_free != NULL) {
        delete flag_free;
    }
if(rtm_scan_date != NULL) {
        delete rtm_scan_date;
    }
if(analyze_analog != NULL) {
        delete analyze_analog;
    }
if(cpu_details_enabled != NULL) {
        delete cpu_details_enabled;
    }
if(content_moderated_status != NULL) {
        delete content_moderated_status;
    }
if(content_moderated_date != NULL) {
        delete content_moderated_date;
    }
if(http_frontend_ip != NULL) {
        delete http_frontend_ip;
    }
if(http_frontend_ip_transition != NULL) {
        delete http_frontend_ip_transition;
    }
if(cpu_limit_exceeded_date != NULL) {
        delete cpu_limit_exceeded_date;
    }
if(aufs_template != NULL) {
        delete aufs_template;
    }
if(options_autolimit != NULL) {
        delete options_autolimit;
    }
if(iis_creation_commands != NULL) {
        delete iis_creation_commands;
    }
if(iis_creation_commands_unix != NULL) {
        delete iis_creation_commands_unix;
    }
if(thumb_date != NULL) {
        delete thumb_date;
    }
if(thumb_failed != NULL) {
        delete thumb_failed;
    }
if(backup_stat_date != NULL) {
        delete backup_stat_date;
    }
if(backup_date != NULL) {
        delete backup_date;
    }
if(detected_packages != NULL) {
        delete detected_packages;
    }
if(stat_site_power != NULL) {
        delete stat_site_power;
    }
if(smtp_from != NULL) {
        delete smtp_from;
    }
if(super_backup_date != NULL) {
        delete super_backup_date;
    }
if(backup_delta_stat_date != NULL) {
        delete backup_delta_stat_date;
    }
if(backup_delta_date != NULL) {
        delete backup_delta_date;
    }
if(backup_delta_desc != NULL) {
        delete backup_delta_desc;
    }
if(alt_docroot_server != NULL) {
        delete alt_docroot_server;
    }
if(alt_docroot_path != NULL) {
        delete alt_docroot_path;
    }
if(alt_docroot_status != NULL) {
        delete alt_docroot_status;
    }
if(alt_docroot_status_cnt != NULL) {
        delete alt_docroot_status_cnt;
    }
if(alt_docroot_status_date != NULL) {
        delete alt_docroot_status_date;
    }
if(bind_dtc != NULL) {
        delete bind_dtc;
    }
if(backup_special_mode != NULL) {
        delete backup_special_mode;
    }
if(size_check_problem != NULL) {
        delete size_check_problem;
    }
if(wpb_domain != NULL) {
        delete wpb_domain;
    }
if(wpb_uuid != NULL) {
        delete wpb_uuid;
    }
if(wpb_status != NULL) {
        delete wpb_status;
    }
if(admin_protection != NULL) {
        delete admin_protection;
    }
if(size_comments != NULL) {
        delete size_comments;
    }
if(alt_docroot_ssd_req != NULL) {
        delete alt_docroot_ssd_req;
    }
if(mail_limit != NULL) {
        delete mail_limit;
    }
if(mail_accept != NULL) {
        delete mail_accept;
    }
if(mail_drop != NULL) {
        delete mail_drop;
    }
if(ftp_name != NULL) {
        delete ftp_name;
    }
if(ftp_pwd != NULL) {
        delete ftp_pwd;
    }
}

SWGInline_response_200_14*
SWGInline_response_200_14::fromJson(QString &json) {
    QByteArray array (json.toStdString().c_str());
    QJsonDocument doc = QJsonDocument::fromJson(array);
    QJsonObject jsonObject = doc.object();
    this->fromJsonObject(jsonObject);
    return this;
}

void
SWGInline_response_200_14::fromJsonObject(QJsonObject &pJson) {
    setValue(&id, pJson["id"], "qint32", "");
setValue(&status, pJson["status"], "QString", "QString");
setValue(&unmovable, pJson["unmovable"], "QString", "QString");
setValue(&online, pJson["online"], "QString", "QString");
setValue(&deleted, pJson["deleted"], "QString", "QString");
setValue(&deleted_auto, pJson["deleted_auto"], "QString", "QString");
setValue(&deleted_dump, pJson["deleted_dump"], "QString", "QString");
setValue(&user_id, pJson["user_id"], "QString", "QString");
setValue(&ftp_id, pJson["ftp_id"], "QString", "QString");
setValue(&dns_id, pJson["dns_id"], "QString", "QString");
setValue(&iis_id, pJson["iis_id"], "QString", "QString");
setValue(&iis_binding, pJson["iis_binding"], "QString", "QString");
setValue(&iis_path, pJson["iis_path"], "QString", "QString");
setValue(&iis_comments, pJson["iis_comments"], "QString", "QString");
setValue(&memo, pJson["memo"], "QString", "QString");
setValue(&date_reg, pJson["date_reg"], "QString", "QString");
setValue(&server, pJson["server"], "QString", "QString");
setValue(&server_bak, pJson["server_bak"], "QString", "QString");
setValue(&server_aux, pJson["server_aux"], "QString", "QString");
setValue(&server_transition, pJson["server_transition"], "QString", "QString");
setValue(&server_transition_dtc, pJson["server_transition_dtc"], "QString", "QString");
setValue(&block_transfer, pJson["block_transfer"], "QString", "QString");
setValue(&server_changed_time, pJson["server_changed_time"], "QString", "QString");
setValue(&size_amount, pJson["size_amount"], "QString", "QString");
setValue(&size_file_count, pJson["size_file_count"], "QString", "QString");
setValue(&size_file_count_limit, pJson["size_file_count_limit"], "QString", "QString");
setValue(&size_date, pJson["size_date"], "QString", "QString");
setValue(&size_priority_scan, pJson["size_priority_scan"], "QString", "QString");
setValue(&copy_logs, pJson["copy_logs"], "QString", "QString");
setValue(&content_comments, pJson["content_comments"], "QString", "QString");
setValue(&content_comments_verbose, pJson["content_comments_verbose"], "QString", "QString");
setValue(&meta_save_count, pJson["meta_save_count"], "QString", "QString");
setValue(&base_folder, pJson["base_folder"], "QString", "QString");
setValue(&virtualhost_conf, pJson["virtualhost_conf"], "QString", "QString");
setValue(&virtualhost_server, pJson["virtualhost_server"], "QString", "QString");
setValue(&virtualhost_server_conf, pJson["virtualhost_server_conf"], "QString", "QString");
setValue(&live_day_count, pJson["live_day_count"], "QString", "QString");
setValue(&scan_date, pJson["scan_date"], "QString", "QString");
setValue(&global_transfer_count, pJson["global_transfer_count"], "QString", "QString");
setValue(&net_limit_file, pJson["net_limit_file"], "QString", "QString");
setValue(&net_limit_deny_from_ip, pJson["net_limit_deny_from_ip"], "QString", "QString");
setValue(&net_limit_deny_from_agent, pJson["net_limit_deny_from_agent"], "QString", "QString");
setValue(&apache_php_pooled, pJson["apache_php_pooled"], "QString", "QString");
setValue(&apache_php_pooled_ext, pJson["apache_php_pooled_ext"], "QString", "QString");
setValue(&apache_php_pooled_ext_auto, pJson["apache_php_pooled_ext_auto"], "QString", "QString");
setValue(&apache_php_pool1_only, pJson["apache_php_pool1_only"], "QString", "QString");
setValue(&apache_php_pool5_only, pJson["apache_php_pool5_only"], "QString", "QString");
setValue(&apache_ssi, pJson["apache_ssi"], "QString", "QString");
setValue(&bypass_security, pJson["bypass_security"], "QString", "QString");
setValue(&flag_generic_exec, pJson["flag_generic_exec"], "QString", "QString");
setValue(&flag_no_www, pJson["flag_no_www"], "QString", "QString");
setValue(&base_folder_suffix, pJson["base_folder_suffix"], "QString", "QString");
setValue(&feedback_speed, pJson["feedback_speed"], "QString", "QString");
setValue(&feedback_speed_dtc, pJson["feedback_speed_dtc"], "QString", "QString");
setValue(&feedback_speed_feedback, pJson["feedback_speed_feedback"], "QString", "QString");
setValue(&unix_path_on_windows, pJson["unix_path_on_windows"], "QString", "QString");
setValue(&ftp_ipfilter, pJson["ftp_ipfilter"], "QString", "QString");
setValue(&ssh_ipfilter, pJson["ssh_ipfilter"], "QString", "QString");
setValue(&l3d_auto, pJson["l3d_auto"], "QString", "QString");
setValue(&awstats_primary_domain, pJson["awstats_primary_domain"], "QString", "QString");
setValue(&sharepoint_mode, pJson["sharepoint_mode"], "QString", "QString");
setValue(&sharepoint_mode_pending, pJson["sharepoint_mode_pending"], "QString", "QString");
setValue(&apache_generic_pool_port, pJson["apache_generic_pool_port"], "QString", "QString");
setValue(&mongrel_environment, pJson["mongrel_environment"], "QString", "QString");
setValue(&flag_free, pJson["flag_free"], "QString", "QString");
setValue(&rtm_scan_date, pJson["rtm_scan_date"], "QString", "QString");
setValue(&analyze_analog, pJson["analyze_analog"], "QString", "QString");
setValue(&cpu_details_enabled, pJson["cpu_details_enabled"], "QString", "QString");
setValue(&content_moderated_status, pJson["content_moderated_status"], "QString", "QString");
setValue(&content_moderated_date, pJson["content_moderated_date"], "QString", "QString");
setValue(&http_frontend_ip, pJson["http_frontend_ip"], "QString", "QString");
setValue(&http_frontend_ip_transition, pJson["http_frontend_ip_transition"], "QString", "QString");
setValue(&cpu_limit_exceeded_date, pJson["cpu_limit_exceeded_date"], "QString", "QString");
setValue(&aufs_template, pJson["aufs_template"], "QString", "QString");
setValue(&options_autolimit, pJson["options_autolimit"], "QString", "QString");
setValue(&iis_creation_commands, pJson["iis_creation_commands"], "QString", "QString");
setValue(&iis_creation_commands_unix, pJson["iis_creation_commands_unix"], "QString", "QString");
setValue(&thumb_date, pJson["thumb_date"], "QString", "QString");
setValue(&thumb_failed, pJson["thumb_failed"], "QString", "QString");
setValue(&backup_stat_date, pJson["backup_stat_date"], "QString", "QString");
setValue(&backup_date, pJson["backup_date"], "QString", "QString");
setValue(&detected_packages, pJson["detected_packages"], "QString", "QString");
setValue(&stat_site_power, pJson["stat_site_power"], "QString", "QString");
setValue(&smtp_from, pJson["smtp_from"], "QString", "QString");
setValue(&super_backup_date, pJson["super_backup_date"], "QString", "QString");
setValue(&backup_delta_stat_date, pJson["backup_delta_stat_date"], "QString", "QString");
setValue(&backup_delta_date, pJson["backup_delta_date"], "QString", "QString");
setValue(&backup_delta_desc, pJson["backup_delta_desc"], "QString", "QString");
setValue(&alt_docroot_server, pJson["alt_docroot_server"], "QString", "QString");
setValue(&alt_docroot_path, pJson["alt_docroot_path"], "QString", "QString");
setValue(&alt_docroot_status, pJson["alt_docroot_status"], "QString", "QString");
setValue(&alt_docroot_status_cnt, pJson["alt_docroot_status_cnt"], "QString", "QString");
setValue(&alt_docroot_status_date, pJson["alt_docroot_status_date"], "QString", "QString");
setValue(&bind_dtc, pJson["bind_dtc"], "QString", "QString");
setValue(&backup_special_mode, pJson["backup_special_mode"], "QString", "QString");
setValue(&size_check_problem, pJson["size_check_problem"], "QString", "QString");
setValue(&wpb_domain, pJson["wpb_domain"], "QString", "QString");
setValue(&wpb_uuid, pJson["wpb_uuid"], "QString", "QString");
setValue(&wpb_status, pJson["wpb_status"], "QString", "QString");
setValue(&admin_protection, pJson["admin_protection"], "QString", "QString");
setValue(&size_comments, pJson["size_comments"], "QString", "QString");
setValue(&alt_docroot_ssd_req, pJson["alt_docroot_ssd_req"], "QString", "QString");
setValue(&mail_limit, pJson["mail_limit"], "QString", "QString");
setValue(&mail_accept, pJson["mail_accept"], "QString", "QString");
setValue(&mail_drop, pJson["mail_drop"], "QString", "QString");
setValue(&ftp_name, pJson["ftp_name"], "QString", "QString");
setValue(&ftp_pwd, pJson["ftp_pwd"], "QString", "QString");
}

QString
SWGInline_response_200_14::asJson ()
{
    QJsonObject* obj = this->asJsonObject();
    
    QJsonDocument doc(*obj);
    QByteArray bytes = doc.toJson();
    return QString(bytes);
}

QJsonObject*
SWGInline_response_200_14::asJsonObject() {
    QJsonObject* obj = new QJsonObject();
    obj->insert("id", QJsonValue(id));

    
    toJsonValue(QString("status"), status, obj, QString("QString"));
    
        

    
    toJsonValue(QString("unmovable"), unmovable, obj, QString("QString"));
    
        

    
    toJsonValue(QString("online"), online, obj, QString("QString"));
    
        

    
    toJsonValue(QString("deleted"), deleted, obj, QString("QString"));
    
        

    
    toJsonValue(QString("deleted_auto"), deleted_auto, obj, QString("QString"));
    
        

    
    toJsonValue(QString("deleted_dump"), deleted_dump, obj, QString("QString"));
    
        

    
    toJsonValue(QString("user_id"), user_id, obj, QString("QString"));
    
        

    
    toJsonValue(QString("ftp_id"), ftp_id, obj, QString("QString"));
    
        

    
    toJsonValue(QString("dns_id"), dns_id, obj, QString("QString"));
    
        

    
    toJsonValue(QString("iis_id"), iis_id, obj, QString("QString"));
    
        

    
    toJsonValue(QString("iis_binding"), iis_binding, obj, QString("QString"));
    
        

    
    toJsonValue(QString("iis_path"), iis_path, obj, QString("QString"));
    
        

    
    toJsonValue(QString("iis_comments"), iis_comments, obj, QString("QString"));
    
        

    
    toJsonValue(QString("memo"), memo, obj, QString("QString"));
    
        

    
    toJsonValue(QString("date_reg"), date_reg, obj, QString("QString"));
    
        

    
    toJsonValue(QString("server"), server, obj, QString("QString"));
    
        

    
    toJsonValue(QString("server_bak"), server_bak, obj, QString("QString"));
    
        

    
    toJsonValue(QString("server_aux"), server_aux, obj, QString("QString"));
    
        

    
    toJsonValue(QString("server_transition"), server_transition, obj, QString("QString"));
    
        

    
    toJsonValue(QString("server_transition_dtc"), server_transition_dtc, obj, QString("QString"));
    
        

    
    toJsonValue(QString("block_transfer"), block_transfer, obj, QString("QString"));
    
        

    
    toJsonValue(QString("server_changed_time"), server_changed_time, obj, QString("QString"));
    
        

    
    toJsonValue(QString("size_amount"), size_amount, obj, QString("QString"));
    
        

    
    toJsonValue(QString("size_file_count"), size_file_count, obj, QString("QString"));
    
        

    
    toJsonValue(QString("size_file_count_limit"), size_file_count_limit, obj, QString("QString"));
    
        

    
    toJsonValue(QString("size_date"), size_date, obj, QString("QString"));
    
        

    
    toJsonValue(QString("size_priority_scan"), size_priority_scan, obj, QString("QString"));
    
        

    
    toJsonValue(QString("copy_logs"), copy_logs, obj, QString("QString"));
    
        

    
    toJsonValue(QString("content_comments"), content_comments, obj, QString("QString"));
    
        

    
    toJsonValue(QString("content_comments_verbose"), content_comments_verbose, obj, QString("QString"));
    
        

    
    toJsonValue(QString("meta_save_count"), meta_save_count, obj, QString("QString"));
    
        

    
    toJsonValue(QString("base_folder"), base_folder, obj, QString("QString"));
    
        

    
    toJsonValue(QString("virtualhost_conf"), virtualhost_conf, obj, QString("QString"));
    
        

    
    toJsonValue(QString("virtualhost_server"), virtualhost_server, obj, QString("QString"));
    
        

    
    toJsonValue(QString("virtualhost_server_conf"), virtualhost_server_conf, obj, QString("QString"));
    
        

    
    toJsonValue(QString("live_day_count"), live_day_count, obj, QString("QString"));
    
        

    
    toJsonValue(QString("scan_date"), scan_date, obj, QString("QString"));
    
        

    
    toJsonValue(QString("global_transfer_count"), global_transfer_count, obj, QString("QString"));
    
        

    
    toJsonValue(QString("net_limit_file"), net_limit_file, obj, QString("QString"));
    
        

    
    toJsonValue(QString("net_limit_deny_from_ip"), net_limit_deny_from_ip, obj, QString("QString"));
    
        

    
    toJsonValue(QString("net_limit_deny_from_agent"), net_limit_deny_from_agent, obj, QString("QString"));
    
        

    
    toJsonValue(QString("apache_php_pooled"), apache_php_pooled, obj, QString("QString"));
    
        

    
    toJsonValue(QString("apache_php_pooled_ext"), apache_php_pooled_ext, obj, QString("QString"));
    
        

    
    toJsonValue(QString("apache_php_pooled_ext_auto"), apache_php_pooled_ext_auto, obj, QString("QString"));
    
        

    
    toJsonValue(QString("apache_php_pool1_only"), apache_php_pool1_only, obj, QString("QString"));
    
        

    
    toJsonValue(QString("apache_php_pool5_only"), apache_php_pool5_only, obj, QString("QString"));
    
        

    
    toJsonValue(QString("apache_ssi"), apache_ssi, obj, QString("QString"));
    
        

    
    toJsonValue(QString("bypass_security"), bypass_security, obj, QString("QString"));
    
        

    
    toJsonValue(QString("flag_generic_exec"), flag_generic_exec, obj, QString("QString"));
    
        

    
    toJsonValue(QString("flag_no_www"), flag_no_www, obj, QString("QString"));
    
        

    
    toJsonValue(QString("base_folder_suffix"), base_folder_suffix, obj, QString("QString"));
    
        

    
    toJsonValue(QString("feedback_speed"), feedback_speed, obj, QString("QString"));
    
        

    
    toJsonValue(QString("feedback_speed_dtc"), feedback_speed_dtc, obj, QString("QString"));
    
        

    
    toJsonValue(QString("feedback_speed_feedback"), feedback_speed_feedback, obj, QString("QString"));
    
        

    
    toJsonValue(QString("unix_path_on_windows"), unix_path_on_windows, obj, QString("QString"));
    
        

    
    toJsonValue(QString("ftp_ipfilter"), ftp_ipfilter, obj, QString("QString"));
    
        

    
    toJsonValue(QString("ssh_ipfilter"), ssh_ipfilter, obj, QString("QString"));
    
        

    
    toJsonValue(QString("l3d_auto"), l3d_auto, obj, QString("QString"));
    
        

    
    toJsonValue(QString("awstats_primary_domain"), awstats_primary_domain, obj, QString("QString"));
    
        

    
    toJsonValue(QString("sharepoint_mode"), sharepoint_mode, obj, QString("QString"));
    
        

    
    toJsonValue(QString("sharepoint_mode_pending"), sharepoint_mode_pending, obj, QString("QString"));
    
        

    
    toJsonValue(QString("apache_generic_pool_port"), apache_generic_pool_port, obj, QString("QString"));
    
        

    
    toJsonValue(QString("mongrel_environment"), mongrel_environment, obj, QString("QString"));
    
        

    
    toJsonValue(QString("flag_free"), flag_free, obj, QString("QString"));
    
        

    
    toJsonValue(QString("rtm_scan_date"), rtm_scan_date, obj, QString("QString"));
    
        

    
    toJsonValue(QString("analyze_analog"), analyze_analog, obj, QString("QString"));
    
        

    
    toJsonValue(QString("cpu_details_enabled"), cpu_details_enabled, obj, QString("QString"));
    
        

    
    toJsonValue(QString("content_moderated_status"), content_moderated_status, obj, QString("QString"));
    
        

    
    toJsonValue(QString("content_moderated_date"), content_moderated_date, obj, QString("QString"));
    
        

    
    toJsonValue(QString("http_frontend_ip"), http_frontend_ip, obj, QString("QString"));
    
        

    
    toJsonValue(QString("http_frontend_ip_transition"), http_frontend_ip_transition, obj, QString("QString"));
    
        

    
    toJsonValue(QString("cpu_limit_exceeded_date"), cpu_limit_exceeded_date, obj, QString("QString"));
    
        

    
    toJsonValue(QString("aufs_template"), aufs_template, obj, QString("QString"));
    
        

    
    toJsonValue(QString("options_autolimit"), options_autolimit, obj, QString("QString"));
    
        

    
    toJsonValue(QString("iis_creation_commands"), iis_creation_commands, obj, QString("QString"));
    
        

    
    toJsonValue(QString("iis_creation_commands_unix"), iis_creation_commands_unix, obj, QString("QString"));
    
        

    
    toJsonValue(QString("thumb_date"), thumb_date, obj, QString("QString"));
    
        

    
    toJsonValue(QString("thumb_failed"), thumb_failed, obj, QString("QString"));
    
        

    
    toJsonValue(QString("backup_stat_date"), backup_stat_date, obj, QString("QString"));
    
        

    
    toJsonValue(QString("backup_date"), backup_date, obj, QString("QString"));
    
        

    
    toJsonValue(QString("detected_packages"), detected_packages, obj, QString("QString"));
    
        

    
    toJsonValue(QString("stat_site_power"), stat_site_power, obj, QString("QString"));
    
        

    
    toJsonValue(QString("smtp_from"), smtp_from, obj, QString("QString"));
    
        

    
    toJsonValue(QString("super_backup_date"), super_backup_date, obj, QString("QString"));
    
        

    
    toJsonValue(QString("backup_delta_stat_date"), backup_delta_stat_date, obj, QString("QString"));
    
        

    
    toJsonValue(QString("backup_delta_date"), backup_delta_date, obj, QString("QString"));
    
        

    
    toJsonValue(QString("backup_delta_desc"), backup_delta_desc, obj, QString("QString"));
    
        

    
    toJsonValue(QString("alt_docroot_server"), alt_docroot_server, obj, QString("QString"));
    
        

    
    toJsonValue(QString("alt_docroot_path"), alt_docroot_path, obj, QString("QString"));
    
        

    
    toJsonValue(QString("alt_docroot_status"), alt_docroot_status, obj, QString("QString"));
    
        

    
    toJsonValue(QString("alt_docroot_status_cnt"), alt_docroot_status_cnt, obj, QString("QString"));
    
        

    
    toJsonValue(QString("alt_docroot_status_date"), alt_docroot_status_date, obj, QString("QString"));
    
        

    
    toJsonValue(QString("bind_dtc"), bind_dtc, obj, QString("QString"));
    
        

    
    toJsonValue(QString("backup_special_mode"), backup_special_mode, obj, QString("QString"));
    
        

    
    toJsonValue(QString("size_check_problem"), size_check_problem, obj, QString("QString"));
    
        

    
    toJsonValue(QString("wpb_domain"), wpb_domain, obj, QString("QString"));
    
        

    
    toJsonValue(QString("wpb_uuid"), wpb_uuid, obj, QString("QString"));
    
        

    
    toJsonValue(QString("wpb_status"), wpb_status, obj, QString("QString"));
    
        

    
    toJsonValue(QString("admin_protection"), admin_protection, obj, QString("QString"));
    
        

    
    toJsonValue(QString("size_comments"), size_comments, obj, QString("QString"));
    
        

    
    toJsonValue(QString("alt_docroot_ssd_req"), alt_docroot_ssd_req, obj, QString("QString"));
    
        

    
    toJsonValue(QString("mail_limit"), mail_limit, obj, QString("QString"));
    
        

    
    toJsonValue(QString("mail_accept"), mail_accept, obj, QString("QString"));
    
        

    
    toJsonValue(QString("mail_drop"), mail_drop, obj, QString("QString"));
    
        

    
    toJsonValue(QString("ftp_name"), ftp_name, obj, QString("QString"));
    
        

    
    toJsonValue(QString("ftp_pwd"), ftp_pwd, obj, QString("QString"));
    
        

    return obj;
}

qint32
SWGInline_response_200_14::getId() {
    return id;
}
void
SWGInline_response_200_14::setId(qint32 id) {
    this->id = id;
}

QString*
SWGInline_response_200_14::getStatus() {
    return status;
}
void
SWGInline_response_200_14::setStatus(QString* status) {
    this->status = status;
}

QString*
SWGInline_response_200_14::getUnmovable() {
    return unmovable;
}
void
SWGInline_response_200_14::setUnmovable(QString* unmovable) {
    this->unmovable = unmovable;
}

QString*
SWGInline_response_200_14::getOnline() {
    return online;
}
void
SWGInline_response_200_14::setOnline(QString* online) {
    this->online = online;
}

QString*
SWGInline_response_200_14::getDeleted() {
    return deleted;
}
void
SWGInline_response_200_14::setDeleted(QString* deleted) {
    this->deleted = deleted;
}

QString*
SWGInline_response_200_14::getDeletedAuto() {
    return deleted_auto;
}
void
SWGInline_response_200_14::setDeletedAuto(QString* deleted_auto) {
    this->deleted_auto = deleted_auto;
}

QString*
SWGInline_response_200_14::getDeletedDump() {
    return deleted_dump;
}
void
SWGInline_response_200_14::setDeletedDump(QString* deleted_dump) {
    this->deleted_dump = deleted_dump;
}

QString*
SWGInline_response_200_14::getUserId() {
    return user_id;
}
void
SWGInline_response_200_14::setUserId(QString* user_id) {
    this->user_id = user_id;
}

QString*
SWGInline_response_200_14::getFtpId() {
    return ftp_id;
}
void
SWGInline_response_200_14::setFtpId(QString* ftp_id) {
    this->ftp_id = ftp_id;
}

QString*
SWGInline_response_200_14::getDnsId() {
    return dns_id;
}
void
SWGInline_response_200_14::setDnsId(QString* dns_id) {
    this->dns_id = dns_id;
}

QString*
SWGInline_response_200_14::getIisId() {
    return iis_id;
}
void
SWGInline_response_200_14::setIisId(QString* iis_id) {
    this->iis_id = iis_id;
}

QString*
SWGInline_response_200_14::getIisBinding() {
    return iis_binding;
}
void
SWGInline_response_200_14::setIisBinding(QString* iis_binding) {
    this->iis_binding = iis_binding;
}

QString*
SWGInline_response_200_14::getIisPath() {
    return iis_path;
}
void
SWGInline_response_200_14::setIisPath(QString* iis_path) {
    this->iis_path = iis_path;
}

QString*
SWGInline_response_200_14::getIisComments() {
    return iis_comments;
}
void
SWGInline_response_200_14::setIisComments(QString* iis_comments) {
    this->iis_comments = iis_comments;
}

QString*
SWGInline_response_200_14::getMemo() {
    return memo;
}
void
SWGInline_response_200_14::setMemo(QString* memo) {
    this->memo = memo;
}

QString*
SWGInline_response_200_14::getDateReg() {
    return date_reg;
}
void
SWGInline_response_200_14::setDateReg(QString* date_reg) {
    this->date_reg = date_reg;
}

QString*
SWGInline_response_200_14::getServer() {
    return server;
}
void
SWGInline_response_200_14::setServer(QString* server) {
    this->server = server;
}

QString*
SWGInline_response_200_14::getServerBak() {
    return server_bak;
}
void
SWGInline_response_200_14::setServerBak(QString* server_bak) {
    this->server_bak = server_bak;
}

QString*
SWGInline_response_200_14::getServerAux() {
    return server_aux;
}
void
SWGInline_response_200_14::setServerAux(QString* server_aux) {
    this->server_aux = server_aux;
}

QString*
SWGInline_response_200_14::getServerTransition() {
    return server_transition;
}
void
SWGInline_response_200_14::setServerTransition(QString* server_transition) {
    this->server_transition = server_transition;
}

QString*
SWGInline_response_200_14::getServerTransitionDtc() {
    return server_transition_dtc;
}
void
SWGInline_response_200_14::setServerTransitionDtc(QString* server_transition_dtc) {
    this->server_transition_dtc = server_transition_dtc;
}

QString*
SWGInline_response_200_14::getBlockTransfer() {
    return block_transfer;
}
void
SWGInline_response_200_14::setBlockTransfer(QString* block_transfer) {
    this->block_transfer = block_transfer;
}

QString*
SWGInline_response_200_14::getServerChangedTime() {
    return server_changed_time;
}
void
SWGInline_response_200_14::setServerChangedTime(QString* server_changed_time) {
    this->server_changed_time = server_changed_time;
}

QString*
SWGInline_response_200_14::getSizeAmount() {
    return size_amount;
}
void
SWGInline_response_200_14::setSizeAmount(QString* size_amount) {
    this->size_amount = size_amount;
}

QString*
SWGInline_response_200_14::getSizeFileCount() {
    return size_file_count;
}
void
SWGInline_response_200_14::setSizeFileCount(QString* size_file_count) {
    this->size_file_count = size_file_count;
}

QString*
SWGInline_response_200_14::getSizeFileCountLimit() {
    return size_file_count_limit;
}
void
SWGInline_response_200_14::setSizeFileCountLimit(QString* size_file_count_limit) {
    this->size_file_count_limit = size_file_count_limit;
}

QString*
SWGInline_response_200_14::getSizeDate() {
    return size_date;
}
void
SWGInline_response_200_14::setSizeDate(QString* size_date) {
    this->size_date = size_date;
}

QString*
SWGInline_response_200_14::getSizePriorityScan() {
    return size_priority_scan;
}
void
SWGInline_response_200_14::setSizePriorityScan(QString* size_priority_scan) {
    this->size_priority_scan = size_priority_scan;
}

QString*
SWGInline_response_200_14::getCopyLogs() {
    return copy_logs;
}
void
SWGInline_response_200_14::setCopyLogs(QString* copy_logs) {
    this->copy_logs = copy_logs;
}

QString*
SWGInline_response_200_14::getContentComments() {
    return content_comments;
}
void
SWGInline_response_200_14::setContentComments(QString* content_comments) {
    this->content_comments = content_comments;
}

QString*
SWGInline_response_200_14::getContentCommentsVerbose() {
    return content_comments_verbose;
}
void
SWGInline_response_200_14::setContentCommentsVerbose(QString* content_comments_verbose) {
    this->content_comments_verbose = content_comments_verbose;
}

QString*
SWGInline_response_200_14::getMetaSaveCount() {
    return meta_save_count;
}
void
SWGInline_response_200_14::setMetaSaveCount(QString* meta_save_count) {
    this->meta_save_count = meta_save_count;
}

QString*
SWGInline_response_200_14::getBaseFolder() {
    return base_folder;
}
void
SWGInline_response_200_14::setBaseFolder(QString* base_folder) {
    this->base_folder = base_folder;
}

QString*
SWGInline_response_200_14::getVirtualhostConf() {
    return virtualhost_conf;
}
void
SWGInline_response_200_14::setVirtualhostConf(QString* virtualhost_conf) {
    this->virtualhost_conf = virtualhost_conf;
}

QString*
SWGInline_response_200_14::getVirtualhostServer() {
    return virtualhost_server;
}
void
SWGInline_response_200_14::setVirtualhostServer(QString* virtualhost_server) {
    this->virtualhost_server = virtualhost_server;
}

QString*
SWGInline_response_200_14::getVirtualhostServerConf() {
    return virtualhost_server_conf;
}
void
SWGInline_response_200_14::setVirtualhostServerConf(QString* virtualhost_server_conf) {
    this->virtualhost_server_conf = virtualhost_server_conf;
}

QString*
SWGInline_response_200_14::getLiveDayCount() {
    return live_day_count;
}
void
SWGInline_response_200_14::setLiveDayCount(QString* live_day_count) {
    this->live_day_count = live_day_count;
}

QString*
SWGInline_response_200_14::getScanDate() {
    return scan_date;
}
void
SWGInline_response_200_14::setScanDate(QString* scan_date) {
    this->scan_date = scan_date;
}

QString*
SWGInline_response_200_14::getGlobalTransferCount() {
    return global_transfer_count;
}
void
SWGInline_response_200_14::setGlobalTransferCount(QString* global_transfer_count) {
    this->global_transfer_count = global_transfer_count;
}

QString*
SWGInline_response_200_14::getNetLimitFile() {
    return net_limit_file;
}
void
SWGInline_response_200_14::setNetLimitFile(QString* net_limit_file) {
    this->net_limit_file = net_limit_file;
}

QString*
SWGInline_response_200_14::getNetLimitDenyFromIp() {
    return net_limit_deny_from_ip;
}
void
SWGInline_response_200_14::setNetLimitDenyFromIp(QString* net_limit_deny_from_ip) {
    this->net_limit_deny_from_ip = net_limit_deny_from_ip;
}

QString*
SWGInline_response_200_14::getNetLimitDenyFromAgent() {
    return net_limit_deny_from_agent;
}
void
SWGInline_response_200_14::setNetLimitDenyFromAgent(QString* net_limit_deny_from_agent) {
    this->net_limit_deny_from_agent = net_limit_deny_from_agent;
}

QString*
SWGInline_response_200_14::getApachePhpPooled() {
    return apache_php_pooled;
}
void
SWGInline_response_200_14::setApachePhpPooled(QString* apache_php_pooled) {
    this->apache_php_pooled = apache_php_pooled;
}

QString*
SWGInline_response_200_14::getApachePhpPooledExt() {
    return apache_php_pooled_ext;
}
void
SWGInline_response_200_14::setApachePhpPooledExt(QString* apache_php_pooled_ext) {
    this->apache_php_pooled_ext = apache_php_pooled_ext;
}

QString*
SWGInline_response_200_14::getApachePhpPooledExtAuto() {
    return apache_php_pooled_ext_auto;
}
void
SWGInline_response_200_14::setApachePhpPooledExtAuto(QString* apache_php_pooled_ext_auto) {
    this->apache_php_pooled_ext_auto = apache_php_pooled_ext_auto;
}

QString*
SWGInline_response_200_14::getApachePhpPool1Only() {
    return apache_php_pool1_only;
}
void
SWGInline_response_200_14::setApachePhpPool1Only(QString* apache_php_pool1_only) {
    this->apache_php_pool1_only = apache_php_pool1_only;
}

QString*
SWGInline_response_200_14::getApachePhpPool5Only() {
    return apache_php_pool5_only;
}
void
SWGInline_response_200_14::setApachePhpPool5Only(QString* apache_php_pool5_only) {
    this->apache_php_pool5_only = apache_php_pool5_only;
}

QString*
SWGInline_response_200_14::getApacheSsi() {
    return apache_ssi;
}
void
SWGInline_response_200_14::setApacheSsi(QString* apache_ssi) {
    this->apache_ssi = apache_ssi;
}

QString*
SWGInline_response_200_14::getBypassSecurity() {
    return bypass_security;
}
void
SWGInline_response_200_14::setBypassSecurity(QString* bypass_security) {
    this->bypass_security = bypass_security;
}

QString*
SWGInline_response_200_14::getFlagGenericExec() {
    return flag_generic_exec;
}
void
SWGInline_response_200_14::setFlagGenericExec(QString* flag_generic_exec) {
    this->flag_generic_exec = flag_generic_exec;
}

QString*
SWGInline_response_200_14::getFlagNoWww() {
    return flag_no_www;
}
void
SWGInline_response_200_14::setFlagNoWww(QString* flag_no_www) {
    this->flag_no_www = flag_no_www;
}

QString*
SWGInline_response_200_14::getBaseFolderSuffix() {
    return base_folder_suffix;
}
void
SWGInline_response_200_14::setBaseFolderSuffix(QString* base_folder_suffix) {
    this->base_folder_suffix = base_folder_suffix;
}

QString*
SWGInline_response_200_14::getFeedbackSpeed() {
    return feedback_speed;
}
void
SWGInline_response_200_14::setFeedbackSpeed(QString* feedback_speed) {
    this->feedback_speed = feedback_speed;
}

QString*
SWGInline_response_200_14::getFeedbackSpeedDtc() {
    return feedback_speed_dtc;
}
void
SWGInline_response_200_14::setFeedbackSpeedDtc(QString* feedback_speed_dtc) {
    this->feedback_speed_dtc = feedback_speed_dtc;
}

QString*
SWGInline_response_200_14::getFeedbackSpeedFeedback() {
    return feedback_speed_feedback;
}
void
SWGInline_response_200_14::setFeedbackSpeedFeedback(QString* feedback_speed_feedback) {
    this->feedback_speed_feedback = feedback_speed_feedback;
}

QString*
SWGInline_response_200_14::getUnixPathOnWindows() {
    return unix_path_on_windows;
}
void
SWGInline_response_200_14::setUnixPathOnWindows(QString* unix_path_on_windows) {
    this->unix_path_on_windows = unix_path_on_windows;
}

QString*
SWGInline_response_200_14::getFtpIpfilter() {
    return ftp_ipfilter;
}
void
SWGInline_response_200_14::setFtpIpfilter(QString* ftp_ipfilter) {
    this->ftp_ipfilter = ftp_ipfilter;
}

QString*
SWGInline_response_200_14::getSshIpfilter() {
    return ssh_ipfilter;
}
void
SWGInline_response_200_14::setSshIpfilter(QString* ssh_ipfilter) {
    this->ssh_ipfilter = ssh_ipfilter;
}

QString*
SWGInline_response_200_14::getL3dAuto() {
    return l3d_auto;
}
void
SWGInline_response_200_14::setL3dAuto(QString* l3d_auto) {
    this->l3d_auto = l3d_auto;
}

QString*
SWGInline_response_200_14::getAwstatsPrimaryDomain() {
    return awstats_primary_domain;
}
void
SWGInline_response_200_14::setAwstatsPrimaryDomain(QString* awstats_primary_domain) {
    this->awstats_primary_domain = awstats_primary_domain;
}

QString*
SWGInline_response_200_14::getSharepointMode() {
    return sharepoint_mode;
}
void
SWGInline_response_200_14::setSharepointMode(QString* sharepoint_mode) {
    this->sharepoint_mode = sharepoint_mode;
}

QString*
SWGInline_response_200_14::getSharepointModePending() {
    return sharepoint_mode_pending;
}
void
SWGInline_response_200_14::setSharepointModePending(QString* sharepoint_mode_pending) {
    this->sharepoint_mode_pending = sharepoint_mode_pending;
}

QString*
SWGInline_response_200_14::getApacheGenericPoolPort() {
    return apache_generic_pool_port;
}
void
SWGInline_response_200_14::setApacheGenericPoolPort(QString* apache_generic_pool_port) {
    this->apache_generic_pool_port = apache_generic_pool_port;
}

QString*
SWGInline_response_200_14::getMongrelEnvironment() {
    return mongrel_environment;
}
void
SWGInline_response_200_14::setMongrelEnvironment(QString* mongrel_environment) {
    this->mongrel_environment = mongrel_environment;
}

QString*
SWGInline_response_200_14::getFlagFree() {
    return flag_free;
}
void
SWGInline_response_200_14::setFlagFree(QString* flag_free) {
    this->flag_free = flag_free;
}

QString*
SWGInline_response_200_14::getRtmScanDate() {
    return rtm_scan_date;
}
void
SWGInline_response_200_14::setRtmScanDate(QString* rtm_scan_date) {
    this->rtm_scan_date = rtm_scan_date;
}

QString*
SWGInline_response_200_14::getAnalyzeAnalog() {
    return analyze_analog;
}
void
SWGInline_response_200_14::setAnalyzeAnalog(QString* analyze_analog) {
    this->analyze_analog = analyze_analog;
}

QString*
SWGInline_response_200_14::getCpuDetailsEnabled() {
    return cpu_details_enabled;
}
void
SWGInline_response_200_14::setCpuDetailsEnabled(QString* cpu_details_enabled) {
    this->cpu_details_enabled = cpu_details_enabled;
}

QString*
SWGInline_response_200_14::getContentModeratedStatus() {
    return content_moderated_status;
}
void
SWGInline_response_200_14::setContentModeratedStatus(QString* content_moderated_status) {
    this->content_moderated_status = content_moderated_status;
}

QString*
SWGInline_response_200_14::getContentModeratedDate() {
    return content_moderated_date;
}
void
SWGInline_response_200_14::setContentModeratedDate(QString* content_moderated_date) {
    this->content_moderated_date = content_moderated_date;
}

QString*
SWGInline_response_200_14::getHttpFrontendIp() {
    return http_frontend_ip;
}
void
SWGInline_response_200_14::setHttpFrontendIp(QString* http_frontend_ip) {
    this->http_frontend_ip = http_frontend_ip;
}

QString*
SWGInline_response_200_14::getHttpFrontendIpTransition() {
    return http_frontend_ip_transition;
}
void
SWGInline_response_200_14::setHttpFrontendIpTransition(QString* http_frontend_ip_transition) {
    this->http_frontend_ip_transition = http_frontend_ip_transition;
}

QString*
SWGInline_response_200_14::getCpuLimitExceededDate() {
    return cpu_limit_exceeded_date;
}
void
SWGInline_response_200_14::setCpuLimitExceededDate(QString* cpu_limit_exceeded_date) {
    this->cpu_limit_exceeded_date = cpu_limit_exceeded_date;
}

QString*
SWGInline_response_200_14::getAufsTemplate() {
    return aufs_template;
}
void
SWGInline_response_200_14::setAufsTemplate(QString* aufs_template) {
    this->aufs_template = aufs_template;
}

QString*
SWGInline_response_200_14::getOptionsAutolimit() {
    return options_autolimit;
}
void
SWGInline_response_200_14::setOptionsAutolimit(QString* options_autolimit) {
    this->options_autolimit = options_autolimit;
}

QString*
SWGInline_response_200_14::getIisCreationCommands() {
    return iis_creation_commands;
}
void
SWGInline_response_200_14::setIisCreationCommands(QString* iis_creation_commands) {
    this->iis_creation_commands = iis_creation_commands;
}

QString*
SWGInline_response_200_14::getIisCreationCommandsUnix() {
    return iis_creation_commands_unix;
}
void
SWGInline_response_200_14::setIisCreationCommandsUnix(QString* iis_creation_commands_unix) {
    this->iis_creation_commands_unix = iis_creation_commands_unix;
}

QString*
SWGInline_response_200_14::getThumbDate() {
    return thumb_date;
}
void
SWGInline_response_200_14::setThumbDate(QString* thumb_date) {
    this->thumb_date = thumb_date;
}

QString*
SWGInline_response_200_14::getThumbFailed() {
    return thumb_failed;
}
void
SWGInline_response_200_14::setThumbFailed(QString* thumb_failed) {
    this->thumb_failed = thumb_failed;
}

QString*
SWGInline_response_200_14::getBackupStatDate() {
    return backup_stat_date;
}
void
SWGInline_response_200_14::setBackupStatDate(QString* backup_stat_date) {
    this->backup_stat_date = backup_stat_date;
}

QString*
SWGInline_response_200_14::getBackupDate() {
    return backup_date;
}
void
SWGInline_response_200_14::setBackupDate(QString* backup_date) {
    this->backup_date = backup_date;
}

QString*
SWGInline_response_200_14::getDetectedPackages() {
    return detected_packages;
}
void
SWGInline_response_200_14::setDetectedPackages(QString* detected_packages) {
    this->detected_packages = detected_packages;
}

QString*
SWGInline_response_200_14::getStatSitePower() {
    return stat_site_power;
}
void
SWGInline_response_200_14::setStatSitePower(QString* stat_site_power) {
    this->stat_site_power = stat_site_power;
}

QString*
SWGInline_response_200_14::getSmtpFrom() {
    return smtp_from;
}
void
SWGInline_response_200_14::setSmtpFrom(QString* smtp_from) {
    this->smtp_from = smtp_from;
}

QString*
SWGInline_response_200_14::getSuperBackupDate() {
    return super_backup_date;
}
void
SWGInline_response_200_14::setSuperBackupDate(QString* super_backup_date) {
    this->super_backup_date = super_backup_date;
}

QString*
SWGInline_response_200_14::getBackupDeltaStatDate() {
    return backup_delta_stat_date;
}
void
SWGInline_response_200_14::setBackupDeltaStatDate(QString* backup_delta_stat_date) {
    this->backup_delta_stat_date = backup_delta_stat_date;
}

QString*
SWGInline_response_200_14::getBackupDeltaDate() {
    return backup_delta_date;
}
void
SWGInline_response_200_14::setBackupDeltaDate(QString* backup_delta_date) {
    this->backup_delta_date = backup_delta_date;
}

QString*
SWGInline_response_200_14::getBackupDeltaDesc() {
    return backup_delta_desc;
}
void
SWGInline_response_200_14::setBackupDeltaDesc(QString* backup_delta_desc) {
    this->backup_delta_desc = backup_delta_desc;
}

QString*
SWGInline_response_200_14::getAltDocrootServer() {
    return alt_docroot_server;
}
void
SWGInline_response_200_14::setAltDocrootServer(QString* alt_docroot_server) {
    this->alt_docroot_server = alt_docroot_server;
}

QString*
SWGInline_response_200_14::getAltDocrootPath() {
    return alt_docroot_path;
}
void
SWGInline_response_200_14::setAltDocrootPath(QString* alt_docroot_path) {
    this->alt_docroot_path = alt_docroot_path;
}

QString*
SWGInline_response_200_14::getAltDocrootStatus() {
    return alt_docroot_status;
}
void
SWGInline_response_200_14::setAltDocrootStatus(QString* alt_docroot_status) {
    this->alt_docroot_status = alt_docroot_status;
}

QString*
SWGInline_response_200_14::getAltDocrootStatusCnt() {
    return alt_docroot_status_cnt;
}
void
SWGInline_response_200_14::setAltDocrootStatusCnt(QString* alt_docroot_status_cnt) {
    this->alt_docroot_status_cnt = alt_docroot_status_cnt;
}

QString*
SWGInline_response_200_14::getAltDocrootStatusDate() {
    return alt_docroot_status_date;
}
void
SWGInline_response_200_14::setAltDocrootStatusDate(QString* alt_docroot_status_date) {
    this->alt_docroot_status_date = alt_docroot_status_date;
}

QString*
SWGInline_response_200_14::getBindDtc() {
    return bind_dtc;
}
void
SWGInline_response_200_14::setBindDtc(QString* bind_dtc) {
    this->bind_dtc = bind_dtc;
}

QString*
SWGInline_response_200_14::getBackupSpecialMode() {
    return backup_special_mode;
}
void
SWGInline_response_200_14::setBackupSpecialMode(QString* backup_special_mode) {
    this->backup_special_mode = backup_special_mode;
}

QString*
SWGInline_response_200_14::getSizeCheckProblem() {
    return size_check_problem;
}
void
SWGInline_response_200_14::setSizeCheckProblem(QString* size_check_problem) {
    this->size_check_problem = size_check_problem;
}

QString*
SWGInline_response_200_14::getWpbDomain() {
    return wpb_domain;
}
void
SWGInline_response_200_14::setWpbDomain(QString* wpb_domain) {
    this->wpb_domain = wpb_domain;
}

QString*
SWGInline_response_200_14::getWpbUuid() {
    return wpb_uuid;
}
void
SWGInline_response_200_14::setWpbUuid(QString* wpb_uuid) {
    this->wpb_uuid = wpb_uuid;
}

QString*
SWGInline_response_200_14::getWpbStatus() {
    return wpb_status;
}
void
SWGInline_response_200_14::setWpbStatus(QString* wpb_status) {
    this->wpb_status = wpb_status;
}

QString*
SWGInline_response_200_14::getAdminProtection() {
    return admin_protection;
}
void
SWGInline_response_200_14::setAdminProtection(QString* admin_protection) {
    this->admin_protection = admin_protection;
}

QString*
SWGInline_response_200_14::getSizeComments() {
    return size_comments;
}
void
SWGInline_response_200_14::setSizeComments(QString* size_comments) {
    this->size_comments = size_comments;
}

QString*
SWGInline_response_200_14::getAltDocrootSsdReq() {
    return alt_docroot_ssd_req;
}
void
SWGInline_response_200_14::setAltDocrootSsdReq(QString* alt_docroot_ssd_req) {
    this->alt_docroot_ssd_req = alt_docroot_ssd_req;
}

QString*
SWGInline_response_200_14::getMailLimit() {
    return mail_limit;
}
void
SWGInline_response_200_14::setMailLimit(QString* mail_limit) {
    this->mail_limit = mail_limit;
}

QString*
SWGInline_response_200_14::getMailAccept() {
    return mail_accept;
}
void
SWGInline_response_200_14::setMailAccept(QString* mail_accept) {
    this->mail_accept = mail_accept;
}

QString*
SWGInline_response_200_14::getMailDrop() {
    return mail_drop;
}
void
SWGInline_response_200_14::setMailDrop(QString* mail_drop) {
    this->mail_drop = mail_drop;
}

QString*
SWGInline_response_200_14::getFtpName() {
    return ftp_name;
}
void
SWGInline_response_200_14::setFtpName(QString* ftp_name) {
    this->ftp_name = ftp_name;
}

QString*
SWGInline_response_200_14::getFtpPwd() {
    return ftp_pwd;
}
void
SWGInline_response_200_14::setFtpPwd(QString* ftp_pwd) {
    this->ftp_pwd = ftp_pwd;
}



} /* namespace Swagger */

