/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * SWGInline_response_200_14.h
 * 
 * 
 */

#ifndef SWGInline_response_200_14_H_
#define SWGInline_response_200_14_H_

#include <QJsonObject>


#include <QString>

#include "SWGObject.h"


namespace Swagger {

class SWGInline_response_200_14: public SWGObject {
public:
    SWGInline_response_200_14();
    SWGInline_response_200_14(QString* json);
    virtual ~SWGInline_response_200_14();
    void init();
    void cleanup();

    QString asJson ();
    QJsonObject* asJsonObject();
    void fromJsonObject(QJsonObject &json);
    SWGInline_response_200_14* fromJson(QString &jsonString);

    qint32 getId();
    void setId(qint32 id);
QString* getStatus();
    void setStatus(QString* status);
QString* getUnmovable();
    void setUnmovable(QString* unmovable);
QString* getOnline();
    void setOnline(QString* online);
QString* getDeleted();
    void setDeleted(QString* deleted);
QString* getDeletedAuto();
    void setDeletedAuto(QString* deleted_auto);
QString* getDeletedDump();
    void setDeletedDump(QString* deleted_dump);
QString* getUserId();
    void setUserId(QString* user_id);
QString* getFtpId();
    void setFtpId(QString* ftp_id);
QString* getDnsId();
    void setDnsId(QString* dns_id);
QString* getIisId();
    void setIisId(QString* iis_id);
QString* getIisBinding();
    void setIisBinding(QString* iis_binding);
QString* getIisPath();
    void setIisPath(QString* iis_path);
QString* getIisComments();
    void setIisComments(QString* iis_comments);
QString* getMemo();
    void setMemo(QString* memo);
QString* getDateReg();
    void setDateReg(QString* date_reg);
QString* getServer();
    void setServer(QString* server);
QString* getServerBak();
    void setServerBak(QString* server_bak);
QString* getServerAux();
    void setServerAux(QString* server_aux);
QString* getServerTransition();
    void setServerTransition(QString* server_transition);
QString* getServerTransitionDtc();
    void setServerTransitionDtc(QString* server_transition_dtc);
QString* getBlockTransfer();
    void setBlockTransfer(QString* block_transfer);
QString* getServerChangedTime();
    void setServerChangedTime(QString* server_changed_time);
QString* getSizeAmount();
    void setSizeAmount(QString* size_amount);
QString* getSizeFileCount();
    void setSizeFileCount(QString* size_file_count);
QString* getSizeFileCountLimit();
    void setSizeFileCountLimit(QString* size_file_count_limit);
QString* getSizeDate();
    void setSizeDate(QString* size_date);
QString* getSizePriorityScan();
    void setSizePriorityScan(QString* size_priority_scan);
QString* getCopyLogs();
    void setCopyLogs(QString* copy_logs);
QString* getContentComments();
    void setContentComments(QString* content_comments);
QString* getContentCommentsVerbose();
    void setContentCommentsVerbose(QString* content_comments_verbose);
QString* getMetaSaveCount();
    void setMetaSaveCount(QString* meta_save_count);
QString* getBaseFolder();
    void setBaseFolder(QString* base_folder);
QString* getVirtualhostConf();
    void setVirtualhostConf(QString* virtualhost_conf);
QString* getVirtualhostServer();
    void setVirtualhostServer(QString* virtualhost_server);
QString* getVirtualhostServerConf();
    void setVirtualhostServerConf(QString* virtualhost_server_conf);
QString* getLiveDayCount();
    void setLiveDayCount(QString* live_day_count);
QString* getScanDate();
    void setScanDate(QString* scan_date);
QString* getGlobalTransferCount();
    void setGlobalTransferCount(QString* global_transfer_count);
QString* getNetLimitFile();
    void setNetLimitFile(QString* net_limit_file);
QString* getNetLimitDenyFromIp();
    void setNetLimitDenyFromIp(QString* net_limit_deny_from_ip);
QString* getNetLimitDenyFromAgent();
    void setNetLimitDenyFromAgent(QString* net_limit_deny_from_agent);
QString* getApachePhpPooled();
    void setApachePhpPooled(QString* apache_php_pooled);
QString* getApachePhpPooledExt();
    void setApachePhpPooledExt(QString* apache_php_pooled_ext);
QString* getApachePhpPooledExtAuto();
    void setApachePhpPooledExtAuto(QString* apache_php_pooled_ext_auto);
QString* getApachePhpPool1Only();
    void setApachePhpPool1Only(QString* apache_php_pool1_only);
QString* getApachePhpPool5Only();
    void setApachePhpPool5Only(QString* apache_php_pool5_only);
QString* getApacheSsi();
    void setApacheSsi(QString* apache_ssi);
QString* getBypassSecurity();
    void setBypassSecurity(QString* bypass_security);
QString* getFlagGenericExec();
    void setFlagGenericExec(QString* flag_generic_exec);
QString* getFlagNoWww();
    void setFlagNoWww(QString* flag_no_www);
QString* getBaseFolderSuffix();
    void setBaseFolderSuffix(QString* base_folder_suffix);
QString* getFeedbackSpeed();
    void setFeedbackSpeed(QString* feedback_speed);
QString* getFeedbackSpeedDtc();
    void setFeedbackSpeedDtc(QString* feedback_speed_dtc);
QString* getFeedbackSpeedFeedback();
    void setFeedbackSpeedFeedback(QString* feedback_speed_feedback);
QString* getUnixPathOnWindows();
    void setUnixPathOnWindows(QString* unix_path_on_windows);
QString* getFtpIpfilter();
    void setFtpIpfilter(QString* ftp_ipfilter);
QString* getSshIpfilter();
    void setSshIpfilter(QString* ssh_ipfilter);
QString* getL3dAuto();
    void setL3dAuto(QString* l3d_auto);
QString* getAwstatsPrimaryDomain();
    void setAwstatsPrimaryDomain(QString* awstats_primary_domain);
QString* getSharepointMode();
    void setSharepointMode(QString* sharepoint_mode);
QString* getSharepointModePending();
    void setSharepointModePending(QString* sharepoint_mode_pending);
QString* getApacheGenericPoolPort();
    void setApacheGenericPoolPort(QString* apache_generic_pool_port);
QString* getMongrelEnvironment();
    void setMongrelEnvironment(QString* mongrel_environment);
QString* getFlagFree();
    void setFlagFree(QString* flag_free);
QString* getRtmScanDate();
    void setRtmScanDate(QString* rtm_scan_date);
QString* getAnalyzeAnalog();
    void setAnalyzeAnalog(QString* analyze_analog);
QString* getCpuDetailsEnabled();
    void setCpuDetailsEnabled(QString* cpu_details_enabled);
QString* getContentModeratedStatus();
    void setContentModeratedStatus(QString* content_moderated_status);
QString* getContentModeratedDate();
    void setContentModeratedDate(QString* content_moderated_date);
QString* getHttpFrontendIp();
    void setHttpFrontendIp(QString* http_frontend_ip);
QString* getHttpFrontendIpTransition();
    void setHttpFrontendIpTransition(QString* http_frontend_ip_transition);
QString* getCpuLimitExceededDate();
    void setCpuLimitExceededDate(QString* cpu_limit_exceeded_date);
QString* getAufsTemplate();
    void setAufsTemplate(QString* aufs_template);
QString* getOptionsAutolimit();
    void setOptionsAutolimit(QString* options_autolimit);
QString* getIisCreationCommands();
    void setIisCreationCommands(QString* iis_creation_commands);
QString* getIisCreationCommandsUnix();
    void setIisCreationCommandsUnix(QString* iis_creation_commands_unix);
QString* getThumbDate();
    void setThumbDate(QString* thumb_date);
QString* getThumbFailed();
    void setThumbFailed(QString* thumb_failed);
QString* getBackupStatDate();
    void setBackupStatDate(QString* backup_stat_date);
QString* getBackupDate();
    void setBackupDate(QString* backup_date);
QString* getDetectedPackages();
    void setDetectedPackages(QString* detected_packages);
QString* getStatSitePower();
    void setStatSitePower(QString* stat_site_power);
QString* getSmtpFrom();
    void setSmtpFrom(QString* smtp_from);
QString* getSuperBackupDate();
    void setSuperBackupDate(QString* super_backup_date);
QString* getBackupDeltaStatDate();
    void setBackupDeltaStatDate(QString* backup_delta_stat_date);
QString* getBackupDeltaDate();
    void setBackupDeltaDate(QString* backup_delta_date);
QString* getBackupDeltaDesc();
    void setBackupDeltaDesc(QString* backup_delta_desc);
QString* getAltDocrootServer();
    void setAltDocrootServer(QString* alt_docroot_server);
QString* getAltDocrootPath();
    void setAltDocrootPath(QString* alt_docroot_path);
QString* getAltDocrootStatus();
    void setAltDocrootStatus(QString* alt_docroot_status);
QString* getAltDocrootStatusCnt();
    void setAltDocrootStatusCnt(QString* alt_docroot_status_cnt);
QString* getAltDocrootStatusDate();
    void setAltDocrootStatusDate(QString* alt_docroot_status_date);
QString* getBindDtc();
    void setBindDtc(QString* bind_dtc);
QString* getBackupSpecialMode();
    void setBackupSpecialMode(QString* backup_special_mode);
QString* getSizeCheckProblem();
    void setSizeCheckProblem(QString* size_check_problem);
QString* getWpbDomain();
    void setWpbDomain(QString* wpb_domain);
QString* getWpbUuid();
    void setWpbUuid(QString* wpb_uuid);
QString* getWpbStatus();
    void setWpbStatus(QString* wpb_status);
QString* getAdminProtection();
    void setAdminProtection(QString* admin_protection);
QString* getSizeComments();
    void setSizeComments(QString* size_comments);
QString* getAltDocrootSsdReq();
    void setAltDocrootSsdReq(QString* alt_docroot_ssd_req);
QString* getMailLimit();
    void setMailLimit(QString* mail_limit);
QString* getMailAccept();
    void setMailAccept(QString* mail_accept);
QString* getMailDrop();
    void setMailDrop(QString* mail_drop);
QString* getFtpName();
    void setFtpName(QString* ftp_name);
QString* getFtpPwd();
    void setFtpPwd(QString* ftp_pwd);

private:
    qint32 id;
QString* status;
QString* unmovable;
QString* online;
QString* deleted;
QString* deleted_auto;
QString* deleted_dump;
QString* user_id;
QString* ftp_id;
QString* dns_id;
QString* iis_id;
QString* iis_binding;
QString* iis_path;
QString* iis_comments;
QString* memo;
QString* date_reg;
QString* server;
QString* server_bak;
QString* server_aux;
QString* server_transition;
QString* server_transition_dtc;
QString* block_transfer;
QString* server_changed_time;
QString* size_amount;
QString* size_file_count;
QString* size_file_count_limit;
QString* size_date;
QString* size_priority_scan;
QString* copy_logs;
QString* content_comments;
QString* content_comments_verbose;
QString* meta_save_count;
QString* base_folder;
QString* virtualhost_conf;
QString* virtualhost_server;
QString* virtualhost_server_conf;
QString* live_day_count;
QString* scan_date;
QString* global_transfer_count;
QString* net_limit_file;
QString* net_limit_deny_from_ip;
QString* net_limit_deny_from_agent;
QString* apache_php_pooled;
QString* apache_php_pooled_ext;
QString* apache_php_pooled_ext_auto;
QString* apache_php_pool1_only;
QString* apache_php_pool5_only;
QString* apache_ssi;
QString* bypass_security;
QString* flag_generic_exec;
QString* flag_no_www;
QString* base_folder_suffix;
QString* feedback_speed;
QString* feedback_speed_dtc;
QString* feedback_speed_feedback;
QString* unix_path_on_windows;
QString* ftp_ipfilter;
QString* ssh_ipfilter;
QString* l3d_auto;
QString* awstats_primary_domain;
QString* sharepoint_mode;
QString* sharepoint_mode_pending;
QString* apache_generic_pool_port;
QString* mongrel_environment;
QString* flag_free;
QString* rtm_scan_date;
QString* analyze_analog;
QString* cpu_details_enabled;
QString* content_moderated_status;
QString* content_moderated_date;
QString* http_frontend_ip;
QString* http_frontend_ip_transition;
QString* cpu_limit_exceeded_date;
QString* aufs_template;
QString* options_autolimit;
QString* iis_creation_commands;
QString* iis_creation_commands_unix;
QString* thumb_date;
QString* thumb_failed;
QString* backup_stat_date;
QString* backup_date;
QString* detected_packages;
QString* stat_site_power;
QString* smtp_from;
QString* super_backup_date;
QString* backup_delta_stat_date;
QString* backup_delta_date;
QString* backup_delta_desc;
QString* alt_docroot_server;
QString* alt_docroot_path;
QString* alt_docroot_status;
QString* alt_docroot_status_cnt;
QString* alt_docroot_status_date;
QString* bind_dtc;
QString* backup_special_mode;
QString* size_check_problem;
QString* wpb_domain;
QString* wpb_uuid;
QString* wpb_status;
QString* admin_protection;
QString* size_comments;
QString* alt_docroot_ssd_req;
QString* mail_limit;
QString* mail_accept;
QString* mail_drop;
QString* ftp_name;
QString* ftp_pwd;
};

} /* namespace Swagger */

#endif /* SWGInline_response_200_14_H_ */
