/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#include "SWGInline_response_200_3.h"

#include "SWGHelpers.h"

#include <QJsonDocument>
#include <QJsonArray>
#include <QObject>
#include <QDebug>

namespace Swagger {


SWGInline_response_200_3::SWGInline_response_200_3(QString* json) {
    init();
    this->fromJson(*json);
}

SWGInline_response_200_3::SWGInline_response_200_3() {
    init();
}

SWGInline_response_200_3::~SWGInline_response_200_3() {
    this->cleanup();
}

void
SWGInline_response_200_3::init() {
    id = NULL;
iis_id = NULL;
online = false;
full_domain_name = new QString("");
full_domain_name_local = new QString("");
addr1 = new QString("");
zone = new QString("");
}

void
SWGInline_response_200_3::cleanup() {
    


if(full_domain_name != NULL) {
        delete full_domain_name;
    }
if(full_domain_name_local != NULL) {
        delete full_domain_name_local;
    }
if(addr1 != NULL) {
        delete addr1;
    }
if(zone != NULL) {
        delete zone;
    }
}

SWGInline_response_200_3*
SWGInline_response_200_3::fromJson(QString &json) {
    QByteArray array (json.toStdString().c_str());
    QJsonDocument doc = QJsonDocument::fromJson(array);
    QJsonObject jsonObject = doc.object();
    this->fromJsonObject(jsonObject);
    return this;
}

void
SWGInline_response_200_3::fromJsonObject(QJsonObject &pJson) {
    setValue(&id, pJson["id"], "qint32", "");
setValue(&iis_id, pJson["iis_id"], "qint32", "");
setValue(&online, pJson["online"], "bool", "");
setValue(&full_domain_name, pJson["full_domain_name"], "QString", "QString");
setValue(&full_domain_name_local, pJson["full_domain_name_local"], "QString", "QString");
setValue(&addr1, pJson["addr1"], "QString", "QString");
setValue(&zone, pJson["zone"], "QString", "QString");
}

QString
SWGInline_response_200_3::asJson ()
{
    QJsonObject* obj = this->asJsonObject();
    
    QJsonDocument doc(*obj);
    QByteArray bytes = doc.toJson();
    return QString(bytes);
}

QJsonObject*
SWGInline_response_200_3::asJsonObject() {
    QJsonObject* obj = new QJsonObject();
    obj->insert("id", QJsonValue(id));
obj->insert("iis_id", QJsonValue(iis_id));
obj->insert("online", QJsonValue(online));

    
    toJsonValue(QString("full_domain_name"), full_domain_name, obj, QString("QString"));
    
        

    
    toJsonValue(QString("full_domain_name_local"), full_domain_name_local, obj, QString("QString"));
    
        

    
    toJsonValue(QString("addr1"), addr1, obj, QString("QString"));
    
        

    
    toJsonValue(QString("zone"), zone, obj, QString("QString"));
    
        

    return obj;
}

qint32
SWGInline_response_200_3::getId() {
    return id;
}
void
SWGInline_response_200_3::setId(qint32 id) {
    this->id = id;
}

qint32
SWGInline_response_200_3::getIisId() {
    return iis_id;
}
void
SWGInline_response_200_3::setIisId(qint32 iis_id) {
    this->iis_id = iis_id;
}

bool
SWGInline_response_200_3::getOnline() {
    return online;
}
void
SWGInline_response_200_3::setOnline(bool online) {
    this->online = online;
}

QString*
SWGInline_response_200_3::getFullDomainName() {
    return full_domain_name;
}
void
SWGInline_response_200_3::setFullDomainName(QString* full_domain_name) {
    this->full_domain_name = full_domain_name;
}

QString*
SWGInline_response_200_3::getFullDomainNameLocal() {
    return full_domain_name_local;
}
void
SWGInline_response_200_3::setFullDomainNameLocal(QString* full_domain_name_local) {
    this->full_domain_name_local = full_domain_name_local;
}

QString*
SWGInline_response_200_3::getAddr1() {
    return addr1;
}
void
SWGInline_response_200_3::setAddr1(QString* addr1) {
    this->addr1 = addr1;
}

QString*
SWGInline_response_200_3::getZone() {
    return zone;
}
void
SWGInline_response_200_3::setZone(QString* zone) {
    this->zone = zone;
}



} /* namespace Swagger */

