/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#include "SWGInline_response_200_4.h"

#include "SWGHelpers.h"

#include <QJsonDocument>
#include <QJsonArray>
#include <QObject>
#include <QDebug>

namespace Swagger {


SWGInline_response_200_4::SWGInline_response_200_4(QString* json) {
    init();
    this->fromJson(*json);
}

SWGInline_response_200_4::SWGInline_response_200_4() {
    init();
}

SWGInline_response_200_4::~SWGInline_response_200_4() {
    this->cleanup();
}

void
SWGInline_response_200_4::init() {
    date_updated = new QString("");
record_created = new QString("");
subject_contract = new QString("");
end_date = new QString("");
payed_till = new QString("");
object_state = new QString("");
domain_addr = new QString("");
nservers = new QString("");
expires_countdown = NULL;
}

void
SWGInline_response_200_4::cleanup() {
    if(date_updated != NULL) {
        delete date_updated;
    }
if(record_created != NULL) {
        delete record_created;
    }
if(subject_contract != NULL) {
        delete subject_contract;
    }
if(end_date != NULL) {
        delete end_date;
    }
if(payed_till != NULL) {
        delete payed_till;
    }
if(object_state != NULL) {
        delete object_state;
    }
if(domain_addr != NULL) {
        delete domain_addr;
    }
if(nservers != NULL) {
        delete nservers;
    }

}

SWGInline_response_200_4*
SWGInline_response_200_4::fromJson(QString &json) {
    QByteArray array (json.toStdString().c_str());
    QJsonDocument doc = QJsonDocument::fromJson(array);
    QJsonObject jsonObject = doc.object();
    this->fromJsonObject(jsonObject);
    return this;
}

void
SWGInline_response_200_4::fromJsonObject(QJsonObject &pJson) {
    setValue(&date_updated, pJson["date_updated"], "QString", "QString");
setValue(&record_created, pJson["record_created"], "QString", "QString");
setValue(&subject_contract, pJson["subject_contract"], "QString", "QString");
setValue(&end_date, pJson["end_date"], "QString", "QString");
setValue(&payed_till, pJson["payed_till"], "QString", "QString");
setValue(&object_state, pJson["object_state"], "QString", "QString");
setValue(&domain_addr, pJson["domain_addr"], "QString", "QString");
setValue(&nservers, pJson["nservers"], "QString", "QString");
setValue(&expires_countdown, pJson["expires_countdown"], "qint32", "");
}

QString
SWGInline_response_200_4::asJson ()
{
    QJsonObject* obj = this->asJsonObject();
    
    QJsonDocument doc(*obj);
    QByteArray bytes = doc.toJson();
    return QString(bytes);
}

QJsonObject*
SWGInline_response_200_4::asJsonObject() {
    QJsonObject* obj = new QJsonObject();
    
    
    toJsonValue(QString("date_updated"), date_updated, obj, QString("QString"));
    
        

    
    toJsonValue(QString("record_created"), record_created, obj, QString("QString"));
    
        

    
    toJsonValue(QString("subject_contract"), subject_contract, obj, QString("QString"));
    
        

    
    toJsonValue(QString("end_date"), end_date, obj, QString("QString"));
    
        

    
    toJsonValue(QString("payed_till"), payed_till, obj, QString("QString"));
    
        

    
    toJsonValue(QString("object_state"), object_state, obj, QString("QString"));
    
        

    
    toJsonValue(QString("domain_addr"), domain_addr, obj, QString("QString"));
    
        

    
    toJsonValue(QString("nservers"), nservers, obj, QString("QString"));
    
        
obj->insert("expires_countdown", QJsonValue(expires_countdown));

    return obj;
}

QString*
SWGInline_response_200_4::getDateUpdated() {
    return date_updated;
}
void
SWGInline_response_200_4::setDateUpdated(QString* date_updated) {
    this->date_updated = date_updated;
}

QString*
SWGInline_response_200_4::getRecordCreated() {
    return record_created;
}
void
SWGInline_response_200_4::setRecordCreated(QString* record_created) {
    this->record_created = record_created;
}

QString*
SWGInline_response_200_4::getSubjectContract() {
    return subject_contract;
}
void
SWGInline_response_200_4::setSubjectContract(QString* subject_contract) {
    this->subject_contract = subject_contract;
}

QString*
SWGInline_response_200_4::getEndDate() {
    return end_date;
}
void
SWGInline_response_200_4::setEndDate(QString* end_date) {
    this->end_date = end_date;
}

QString*
SWGInline_response_200_4::getPayedTill() {
    return payed_till;
}
void
SWGInline_response_200_4::setPayedTill(QString* payed_till) {
    this->payed_till = payed_till;
}

QString*
SWGInline_response_200_4::getObjectState() {
    return object_state;
}
void
SWGInline_response_200_4::setObjectState(QString* object_state) {
    this->object_state = object_state;
}

QString*
SWGInline_response_200_4::getDomainAddr() {
    return domain_addr;
}
void
SWGInline_response_200_4::setDomainAddr(QString* domain_addr) {
    this->domain_addr = domain_addr;
}

QString*
SWGInline_response_200_4::getNservers() {
    return nservers;
}
void
SWGInline_response_200_4::setNservers(QString* nservers) {
    this->nservers = nservers;
}

qint32
SWGInline_response_200_4::getExpiresCountdown() {
    return expires_countdown;
}
void
SWGInline_response_200_4::setExpiresCountdown(qint32 expires_countdown) {
    this->expires_countdown = expires_countdown;
}



} /* namespace Swagger */

