/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#include "SWGInline_response_200_6.h"

#include "SWGHelpers.h"

#include <QJsonDocument>
#include <QJsonArray>
#include <QObject>
#include <QDebug>

namespace Swagger {


SWGInline_response_200_6::SWGInline_response_200_6(QString* json) {
    init();
    this->fromJson(*json);
}

SWGInline_response_200_6::SWGInline_response_200_6() {
    init();
}

SWGInline_response_200_6::~SWGInline_response_200_6() {
    this->cleanup();
}

void
SWGInline_response_200_6::init() {
    id = NULL;
status = NULL;
online = false;
mail = new QString("");
mercury_user = new QString("");
mercury_pwd = new QString("");
size_amount = NULL;
size_file_count = NULL;
archived_count = NULL;
server_pop3 = new QString("");
server_smtp = new QString("");
server_webmail = new QString("");
server_imap = new QString("");
wm1 = new QString("");
wm2 = new QString("");
}

void
SWGInline_response_200_6::cleanup() {
    


if(mail != NULL) {
        delete mail;
    }
if(mercury_user != NULL) {
        delete mercury_user;
    }
if(mercury_pwd != NULL) {
        delete mercury_pwd;
    }



if(server_pop3 != NULL) {
        delete server_pop3;
    }
if(server_smtp != NULL) {
        delete server_smtp;
    }
if(server_webmail != NULL) {
        delete server_webmail;
    }
if(server_imap != NULL) {
        delete server_imap;
    }
if(wm1 != NULL) {
        delete wm1;
    }
if(wm2 != NULL) {
        delete wm2;
    }
}

SWGInline_response_200_6*
SWGInline_response_200_6::fromJson(QString &json) {
    QByteArray array (json.toStdString().c_str());
    QJsonDocument doc = QJsonDocument::fromJson(array);
    QJsonObject jsonObject = doc.object();
    this->fromJsonObject(jsonObject);
    return this;
}

void
SWGInline_response_200_6::fromJsonObject(QJsonObject &pJson) {
    setValue(&id, pJson["id"], "qint32", "");
setValue(&status, pJson["status"], "qint32", "");
setValue(&online, pJson["online"], "bool", "");
setValue(&mail, pJson["mail"], "QString", "QString");
setValue(&mercury_user, pJson["mercury_user"], "QString", "QString");
setValue(&mercury_pwd, pJson["mercury_pwd"], "QString", "QString");
setValue(&size_amount, pJson["size_amount"], "qint32", "");
setValue(&size_file_count, pJson["size_file_count"], "qint32", "");
setValue(&archived_count, pJson["archived_count"], "qint32", "");
setValue(&server_pop3, pJson["server_pop3"], "QString", "QString");
setValue(&server_smtp, pJson["server_smtp"], "QString", "QString");
setValue(&server_webmail, pJson["server_webmail"], "QString", "QString");
setValue(&server_imap, pJson["server_imap"], "QString", "QString");
setValue(&wm1, pJson["wm1"], "QString", "QString");
setValue(&wm2, pJson["wm2"], "QString", "QString");
}

QString
SWGInline_response_200_6::asJson ()
{
    QJsonObject* obj = this->asJsonObject();
    
    QJsonDocument doc(*obj);
    QByteArray bytes = doc.toJson();
    return QString(bytes);
}

QJsonObject*
SWGInline_response_200_6::asJsonObject() {
    QJsonObject* obj = new QJsonObject();
    obj->insert("id", QJsonValue(id));
obj->insert("status", QJsonValue(status));
obj->insert("online", QJsonValue(online));

    
    toJsonValue(QString("mail"), mail, obj, QString("QString"));
    
        

    
    toJsonValue(QString("mercury_user"), mercury_user, obj, QString("QString"));
    
        

    
    toJsonValue(QString("mercury_pwd"), mercury_pwd, obj, QString("QString"));
    
        
obj->insert("size_amount", QJsonValue(size_amount));
obj->insert("size_file_count", QJsonValue(size_file_count));
obj->insert("archived_count", QJsonValue(archived_count));

    
    toJsonValue(QString("server_pop3"), server_pop3, obj, QString("QString"));
    
        

    
    toJsonValue(QString("server_smtp"), server_smtp, obj, QString("QString"));
    
        

    
    toJsonValue(QString("server_webmail"), server_webmail, obj, QString("QString"));
    
        

    
    toJsonValue(QString("server_imap"), server_imap, obj, QString("QString"));
    
        

    
    toJsonValue(QString("wm1"), wm1, obj, QString("QString"));
    
        

    
    toJsonValue(QString("wm2"), wm2, obj, QString("QString"));
    
        

    return obj;
}

qint32
SWGInline_response_200_6::getId() {
    return id;
}
void
SWGInline_response_200_6::setId(qint32 id) {
    this->id = id;
}

qint32
SWGInline_response_200_6::getStatus() {
    return status;
}
void
SWGInline_response_200_6::setStatus(qint32 status) {
    this->status = status;
}

bool
SWGInline_response_200_6::getOnline() {
    return online;
}
void
SWGInline_response_200_6::setOnline(bool online) {
    this->online = online;
}

QString*
SWGInline_response_200_6::getMail() {
    return mail;
}
void
SWGInline_response_200_6::setMail(QString* mail) {
    this->mail = mail;
}

QString*
SWGInline_response_200_6::getMercuryUser() {
    return mercury_user;
}
void
SWGInline_response_200_6::setMercuryUser(QString* mercury_user) {
    this->mercury_user = mercury_user;
}

QString*
SWGInline_response_200_6::getMercuryPwd() {
    return mercury_pwd;
}
void
SWGInline_response_200_6::setMercuryPwd(QString* mercury_pwd) {
    this->mercury_pwd = mercury_pwd;
}

qint32
SWGInline_response_200_6::getSizeAmount() {
    return size_amount;
}
void
SWGInline_response_200_6::setSizeAmount(qint32 size_amount) {
    this->size_amount = size_amount;
}

qint32
SWGInline_response_200_6::getSizeFileCount() {
    return size_file_count;
}
void
SWGInline_response_200_6::setSizeFileCount(qint32 size_file_count) {
    this->size_file_count = size_file_count;
}

qint32
SWGInline_response_200_6::getArchivedCount() {
    return archived_count;
}
void
SWGInline_response_200_6::setArchivedCount(qint32 archived_count) {
    this->archived_count = archived_count;
}

QString*
SWGInline_response_200_6::getServerPop3() {
    return server_pop3;
}
void
SWGInline_response_200_6::setServerPop3(QString* server_pop3) {
    this->server_pop3 = server_pop3;
}

QString*
SWGInline_response_200_6::getServerSmtp() {
    return server_smtp;
}
void
SWGInline_response_200_6::setServerSmtp(QString* server_smtp) {
    this->server_smtp = server_smtp;
}

QString*
SWGInline_response_200_6::getServerWebmail() {
    return server_webmail;
}
void
SWGInline_response_200_6::setServerWebmail(QString* server_webmail) {
    this->server_webmail = server_webmail;
}

QString*
SWGInline_response_200_6::getServerImap() {
    return server_imap;
}
void
SWGInline_response_200_6::setServerImap(QString* server_imap) {
    this->server_imap = server_imap;
}

QString*
SWGInline_response_200_6::getWm1() {
    return wm1;
}
void
SWGInline_response_200_6::setWm1(QString* wm1) {
    this->wm1 = wm1;
}

QString*
SWGInline_response_200_6::getWm2() {
    return wm2;
}
void
SWGInline_response_200_6::setWm2(QString* wm2) {
    this->wm2 = wm2;
}



} /* namespace Swagger */

