/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#include "SWGInline_response_200_8.h"

#include "SWGHelpers.h"

#include <QJsonDocument>
#include <QJsonArray>
#include <QObject>
#include <QDebug>

namespace Swagger {


SWGInline_response_200_8::SWGInline_response_200_8(QString* json) {
    init();
    this->fromJson(*json);
}

SWGInline_response_200_8::SWGInline_response_200_8() {
    init();
}

SWGInline_response_200_8::~SWGInline_response_200_8() {
    this->cleanup();
}

void
SWGInline_response_200_8::init() {
    id = NULL;
online = false;
ftp_id = NULL;
dns_id = NULL;
size_amount = NULL;
size_file_count = NULL;
size_file_count_limit = NULL;
}

void
SWGInline_response_200_8::cleanup() {
    






}

SWGInline_response_200_8*
SWGInline_response_200_8::fromJson(QString &json) {
    QByteArray array (json.toStdString().c_str());
    QJsonDocument doc = QJsonDocument::fromJson(array);
    QJsonObject jsonObject = doc.object();
    this->fromJsonObject(jsonObject);
    return this;
}

void
SWGInline_response_200_8::fromJsonObject(QJsonObject &pJson) {
    setValue(&id, pJson["id"], "qint32", "");
setValue(&online, pJson["online"], "bool", "");
setValue(&ftp_id, pJson["ftp_id"], "qint32", "");
setValue(&dns_id, pJson["dns_id"], "qint32", "");
setValue(&size_amount, pJson["size_amount"], "qint32", "");
setValue(&size_file_count, pJson["size_file_count"], "qint32", "");
setValue(&size_file_count_limit, pJson["size_file_count_limit"], "qint32", "");
}

QString
SWGInline_response_200_8::asJson ()
{
    QJsonObject* obj = this->asJsonObject();
    
    QJsonDocument doc(*obj);
    QByteArray bytes = doc.toJson();
    return QString(bytes);
}

QJsonObject*
SWGInline_response_200_8::asJsonObject() {
    QJsonObject* obj = new QJsonObject();
    obj->insert("id", QJsonValue(id));
obj->insert("online", QJsonValue(online));
obj->insert("ftp_id", QJsonValue(ftp_id));
obj->insert("dns_id", QJsonValue(dns_id));
obj->insert("size_amount", QJsonValue(size_amount));
obj->insert("size_file_count", QJsonValue(size_file_count));
obj->insert("size_file_count_limit", QJsonValue(size_file_count_limit));

    return obj;
}

qint32
SWGInline_response_200_8::getId() {
    return id;
}
void
SWGInline_response_200_8::setId(qint32 id) {
    this->id = id;
}

bool
SWGInline_response_200_8::getOnline() {
    return online;
}
void
SWGInline_response_200_8::setOnline(bool online) {
    this->online = online;
}

qint32
SWGInline_response_200_8::getFtpId() {
    return ftp_id;
}
void
SWGInline_response_200_8::setFtpId(qint32 ftp_id) {
    this->ftp_id = ftp_id;
}

qint32
SWGInline_response_200_8::getDnsId() {
    return dns_id;
}
void
SWGInline_response_200_8::setDnsId(qint32 dns_id) {
    this->dns_id = dns_id;
}

qint32
SWGInline_response_200_8::getSizeAmount() {
    return size_amount;
}
void
SWGInline_response_200_8::setSizeAmount(qint32 size_amount) {
    this->size_amount = size_amount;
}

qint32
SWGInline_response_200_8::getSizeFileCount() {
    return size_file_count;
}
void
SWGInline_response_200_8::setSizeFileCount(qint32 size_file_count) {
    this->size_file_count = size_file_count;
}

qint32
SWGInline_response_200_8::getSizeFileCountLimit() {
    return size_file_count_limit;
}
void
SWGInline_response_200_8::setSizeFileCountLimit(qint32 size_file_count_limit) {
    this->size_file_count_limit = size_file_count_limit;
}



} /* namespace Swagger */

